Bug 488651 - Consider upgrading to TeX Live 2012 for the next Fedora release
Consider upgrading to TeX Live 2012 for the next Fedora release
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
18
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
http://www.tug.org/texlive/
: Reopened
: 452918 456393 526818 739537 746626 (view as bug list)
Depends On: 591317
Blocks: 437375 468731 539856 551749
  Show dependency treegraph
 
Reported: 2009-03-04 21:30 EST by Alexei Podtelezhnikov
Modified: 2013-07-02 19:35 EDT (History)
55 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:00:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from the command "yum install texlive" (18.44 KB, text/plain)
2009-08-21 13:42 EDT, Vincenzo Ciancia
no flags Details
strace from texconfig (as normal user) setting dvips paper type (18.44 KB, text/plain)
2009-09-10 19:41 EDT, Matthew Saltzman
no flags Details
test that shows the font problem with lualatex vs. pdflatex (24.16 KB, application/x-gzip)
2010-04-26 16:42 EDT, ajs
no flags Details

  None (edit)
Description Alexei Podtelezhnikov 2009-03-04 21:30:29 EST
I wonder why texlive 2008 is not yet in rawhide.
Comment 1 Alexei Podtelezhnikov 2009-03-05 10:36:53 EST
I found this lively exchange, where after 3 days everyone lost interest in the future of TeXLive.

https://www.redhat.com/archives/fedora-devel-list/2009-January/thread.html#01194

From what I get, for the update to happen, something's gotta give:

1. TeXLive community should finally realize the value in standardized logical packaging to facilitate distribution through modern channels, rather than antiquated "build-your-own" TeX approach. Linux Distributions do dominate UNIX world these days - use them or loose them.

2. Fedora community should either help them with transition to a more dynamic development environment or consider forking the damn thing.

I do see now that TeXLive 2008 is not ready for Fedora.
Comment 2 bcbarnes 2009-05-05 16:41:52 EDT
Just another vote in favor of keeping TeXLive up to date.
Comment 3 Andrew McNabb 2009-05-06 13:57:47 EDT
Alexei, I don't see how that thread convinced you that "TeXLive 2008 is not ready for Fedora."  I read every message, and it doesn't sound like TeXLive 2008 is worse than TeXLive 2007 in any way.  It really seems like the only issue is licensing stuff.  I don't see why this is such a problem, anyway, since the TeXLive people seem to be doing their best.  Even after reading that thread, I'm still surprised that TeXLive 2008 isn't in Fedora 11.
Comment 4 Alexei Podtelezhnikov 2009-05-07 09:38:02 EDT
Fundamentally, I think, the problem is that TeX is driven by typesetting enthusiasts who don't care much about the rest of Linux/Unix experience. 
I wouldn't be surprised if TeX Live developers run Red Hat Linux 7.2 as long as it has a laser printer attached. 

Quoting from the website, "We strongly recommend installing it as a normal user."
This tells a lot about their confidence in the software and how it interacts with the rest of the system.

So, although TeX Live beats the crap out of any office suite as far as the typesetting quality, it will require a major shift in the TeX community to keep it relevant.
Comment 5 Andrew McNabb 2009-05-07 10:05:12 EDT
You sound frustrated.  Keep in mind that the TeX people have to support many different platforms.  I think they're trying to make things as good as possible for everyone.  It's a hard task to package up 30 years of decentralized and uncoordinated development.
Comment 6 Patrice Dumas 2009-05-07 11:05:54 EDT
(In reply to comment #4)
> Fundamentally, I think, the problem is that TeX is driven by typesetting
> enthusiasts who don't care much about the rest of Linux/Unix experience. 

That's not true. One of the main texlive developpers is also the debian 
packager. There is a mailing list setup especially for communication between
distros and texlive developpers.

> So, although TeX Live beats the crap out of any office suite as far as the
> typesetting quality, it will require a major shift in the TeX community to keep
> it relevant.  

Many innovation in texlive 2008 allow to play better with distros.

That being said it is true that the main target is still the texlive distribution itself, but texlive people are distro friendly.

In my point of view, the reverse is the real issue: Fedora is not much interested in TeX. Jindrich doesn't seem to have much time putting in forward, and there doesn't seems to be many people in the community interested in TeX related packaging, at least nobody ready to take over the whole texlive packaging.
Comment 7 Bug Zapper 2009-06-09 07:53:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Stijn Hoop 2009-06-15 09:49:11 EDT
I stumbled across the following thread on rel-eng while searching for an updated TeXlive / pgf for Fedora 10:

http://lists.fedoraproject.org/pipermail/rel-eng/2009-June/005572.html

It appears that things are moving forward, at least for Fedora 12.
Comment 9 Jeff Moe (jebba) 2009-06-28 18:18:38 EDT
[if there is a better place to post this or if I should open a new bug report, please let me know]


I have upgraded my x86_64 F11 to texlive-2008 using this staging repo:
http://jnovy.fedorapeople.org/texlive/texlive-release-2008-1.fc11.noarch.rpm
as described here:
http://fedoraproject.org/wiki/Features/TeXLive

I (eventually) did the full `yum -y install texlive-scheme-full` install to get all packages.

I had two problems, one that I resolved. I have a document that I was building fine with the standard F11 texlive. In texlive-2008 when trying to rebuild I first got this error:

-------------------------
! LaTeX Error: File `memoir.cls' not found.
-------------------------

I fixed this by running `texhash` as root.

I now have this error, which I don't know how to resolve:

-------------------------
! Package fontenc Error: Encoding file `ly1enc.def' not found.
-------------------------

I don't see any package named ly1enc.def:
find /usr/share/tex* -name ly1enc.def

I did re-run `texhash` but it had no effect. There is a related(?) file that *is* installed on the system:
/usr/share/texlive/texmf-dist/tex/latex/base/ly1enc.dfu
Comment 10 Jeff Moe (jebba) 2009-06-28 23:43:48 EDT
I am guessing why ly1enc.def isn't there anymore:

name ly1
category Package
...
catalogue-license unknown


So I guess the only "bug" now would be the one mentioned in comment #9. It would just need to have %post run texhash or similar.
Comment 11 Jeff Moe (jebba) 2009-06-29 00:39:05 EDT
David Carlisle is the author of the ly1 package. I emailed him about the license of the package. Later I stumbled upon a great old post of his; quite ironic. He writes:

"...If you are the maintainer of a file distributed from CTAN, please do
consider adding exlicit copyright notices and licence notices.
It may seem unduly legalistic, especially for small packages, but it
makes life a lot easier for maintainers of TeX distributions such as
TeXLive or tetex (and the commercial TeX distributions) as without
such notices there may be legal problems in making CD and other forms
of TeX distributions, without the hassle of contacting each package
author individually asking for clarification of the distribution
conditions on his or her work."


http://osdir.com/ml/tex.ctan.announce/1999-04/msg00015.html

His files are "generally" under the LPPL.
Comment 12 Jindrich Novy 2009-06-29 09:31:59 EDT
(In reply to comment #11)
> David Carlisle is the author of the ly1 package. I emailed him about the
> license of the package.

Thanks for contacting David.

Yup, the reason for not including ly1 is its unknown license. If the author declares it's LPPL we can IMO make upstream aware of that, fix the metadata and add ly1 back.

Hmmm, the need of running texhash is more interesting though. the main "texlive" package contains %posttrans section where texhash is called so no additional execution would be needed regardless what is installed.

The problem is likely that texhash isn't called when other things are installed in other transaction so kpathsea doesn't see it. Addition of texhash call in %post of every package that touches the TEXMF tree seems to fix it. I'll have a look. Thanks for testing.
Comment 13 Jeff Moe (jebba) 2009-06-29 12:09:36 EDT
David Carlisle sent this to ctan@dante.de (and CC'd me):

I have had an email from someone pointing out that they have lost
support for LY1 encoding in their default installation as fedora
have dropped the LY1 support files as they have an unknown licence.

I didn't know anyone used these anymore since Y&Y went, and I'm not sure
who maintains contrib/psnfssx these days but would it be possible for

http://www.tex.ac.uk/tex-archive/macros/latex/contrib/psnfssx/ly1/ly1.txt

to be ammended so that after the current final lines:


Copyright 1997  David Carlisle
(Updated Feb. 2001 Walter Schmidt)


the following text is added.


 All the files in this directory  may be redistributed and/or modified
 under the terms  of the LaTeX Project Public License 
 http://www.latex-project.org/lppl/
 either  version 1 of the License, or (at your option) any later version.



David Carlisle
(Original author of these LY1 encoding scheme support files for LaTeX)
Comment 14 Jindrich Novy 2009-06-29 12:51:58 EDT
Thanks, if there are no objections I will readd ly1 to Fedora TeX Live packaging in the next testing release.
Comment 15 Jeff Moe (jebba) 2009-06-29 15:35:48 EDT
Upstream has also updated the license, so it should be 100% clear now. It will take awhile before it propagates throughout the system (e.g. til texlive.tlpdb gets updated), but this is the authoritative file with the updated license:

ftp://tug.ctan.org/pub/tex-archive/macros/latex/contrib/psnfssx/ly1/ly1.txt

Ok, so one down; how many hundreds left? ;)

Thanks!
Comment 16 Jindrich Novy 2009-07-01 03:31:55 EDT
Still couple of them:

$ grep 'catalogue-license unknown' texlive.tlpdb | wc -l
60

;)
Comment 17 Jindrich Novy 2009-07-02 16:22:00 EDT
I've just updated the TeX Live packages in my fedorapeople repo to the new, more recent version including ly1. Please give it a try.

(and I'm PTO till last week in July)
Comment 18 Jeff Moe (jebba) 2009-07-02 19:54:44 EDT
I see the files there are all from 2 July now, but the %Release number didn't get bumped, so doing a yum update didn't grab all the (hundreds) of rebuilt packages. The only two that got updated were:

texlive-2008-0.2.fc11.x86_64
texlive-bin-kpathsea-lib-2008-0.2.fc11.x86_64

I was able to install this fine:
texlive-ly1-2008-7340.fc11.noarch
Comment 19 Jeff Moe (jebba) 2009-07-18 12:46:59 EDT
I am currently running your texlive-2008 July 2nd build.

When I run pdflatex on my document now, I am getting a new error:


! Font LY1/IM_FELL_DW_Pica_PRO/m/n/12=LY1--IM_FELL_DW_Pica_PRO-Regular at 12.0p
t not loadable: Metric (TFM) file not found.


Previously I had converted an OTF font for use in my document. I created it thusly (per the otftotfm manpage, which appears missing in your texlive-2008 packages):

# Regular
otftotfm -a -e texnansx -fkern -fliga \
        FePIrm27C.otf LY1--IM_FELL_DW_Pica_PRO-Regular

# Italics
otftotfm -a -e texnansx -fkern -fliga \
        FePIit27C.otf LY1--IM_FELL_DW_Pica_PRO-It

# Small caps
otftotfm -a -e texnansx -fkern -fliga -fsmcp \
        FePIrm27C.otf LY1--IM_FELL_DW_Pica_PRO-Regular--fsmcp


And then created LY1IM_FELL_DW_Pica_PRO.fd:

\DeclareFontFamily{LY1}{IM_FELL_DW_Pica_PRO}{}
\DeclareFontShape{LY1}{IM_FELL_DW_Pica_PRO}{m}{n}%
        { <-> LY1--IM_FELL_DW_Pica_PRO-Regular }{}
\DeclareFontShape{LY1}{IM_FELL_DW_Pica_PRO}{m}{it}{ <-> LY1--IM_FELL_DW_Pica_PRO-It }{}
\DeclareFontShape{LY1}{IM_FELL_DW_Pica_PRO}{m}{sc}%
	{ <-> LY1--IM_FELL_DW_Pica_PRO-Regular--fsmcp }{}



This process created a number of files in ~/.texlive2007, so I thought I would just rebuild the fonts with the above procedure which would hopefully put the appropriate files into ~/.texlive2008

But when I run this:

otftotfm -a -e texnansx -fkern -fliga \
	FePIrm27C.otf LY1--IM_FELL_DW_Pica_PRO-Regular


I get this:

otftotfm: /builddir/build/BUILD/texlive-2008/source/inst/lcdf-typetools/glyphlist.txt: No such file or directory
otftotfm: /builddir/build/BUILD/texlive-2008/source/inst/lcdf-typetools/texglyphlist.txt: No such file or directory
otftotfm: encoding ‘texnansx’ not found


So those paths in the otftotfm binary are surely wrong.

$ kpsewhich texnansx.enc
/usr/share/texlive/texmf-dist/fonts/enc/dvips/base/texnansx.enc


The glyphlist.txt and texglyphlist.txt are in this dir:
/usr/share/texlive/texmf-dist/fonts/map/glyphlist/



WRT missing manpage.  I have texlive-scheme-full-2008-12835.fc11.noarch installed, but apparently that doesn't pull in all the -doc files, such as texlive-bin-lcdftypetools-doc. But with that installed the otftotfm manpage is still not accessible, due to it's path:

/usr/share/texlive/texmf/doc/man/man1/otftotfm.1

I should also point out there are PDF files in each of those dirs as well, I'm not sure if that's ideal/intended:
/usr/share/texlive/texmf/doc/man/man1/otftotfm.pdf


In sum: otftotfm appears to have erroneous $PATH hardcoded into it and is "missing" manpage.


(Again, if you would like these in separate bug tickets, let me know)
Comment 20 Vincenzo Ciancia 2009-08-12 06:21:30 EDT
Would texlive-2008 also include pgf-2.0? The version of pgf/tikz in fedora is outdated and users are forced to install a new version manually, so it would be cool if for fedora 12 there was a newer version.
Comment 21 Jindrich Novy 2009-08-20 11:21:52 EDT
TeX Live 2009 now contains pgf-2.00. Please try to test te new TeX Live 2009. Info on how to install it is here:

http://fedoraproject.org/wiki/Features/TeXLive

Thanks.
Comment 22 Tom "spot" Callaway 2009-08-20 11:28:49 EDT
Jindrich, let me know when you're ready to start the package reviews.
Comment 23 Vincenzo Ciancia 2009-08-21 13:41:22 EDT
I tried to install but it seems that some package requires a missing feature, that calls in all the texlive-2007 packages? I attach the output from yum install texlive
Comment 24 Vincenzo Ciancia 2009-08-21 13:42:04 EDT
Created attachment 358265 [details]
Output from the command "yum install texlive"
Comment 25 Susi Lehtola 2009-08-24 09:25:53 EDT
I tried to install texlive-scheme-full, but it resulted in a lot of conflicts of the type

file /usr/bin/epsffit from install of texlive-psutils.ARCH-2009-14164.fc11.x86_64 conflicts with file from package psutils-1.17-30.fc11.x86_64

and so on. psutils shouldn't probably be built as part of texlive?
Comment 26 Jeff Moe (jebba) 2009-09-07 13:49:41 EDT
Is pdflatex gone? I have installed all the latest packages and am up-to-date.

$ rpm -q texlive-scheme-full ; pdflatex
texlive-scheme-full-2009-14327.fc11.noarch
bash: pdflatex: command not found

I do have some ("foreign language") pdflatexes, perhaps:
/usr/bin/bg5+pdflatex
/usr/bin/bg5pdflatex
/usr/bin/cef5pdflatex
/usr/bin/cefpdflatex
/usr/bin/cefspdflatex
/usr/bin/gbkpdflatex
/usr/bin/sjispdflatex



As a side note, perhaps you should blow out this OLD directory so as not to confuse testers:  http://people.redhat.com/jnovy/files/texlive/


Another suggestion, set this to 1d in /etc/yum.repos.d/texlive.repo
metadata_expire=1d

Thanks!
Comment 27 Jeff Moe (jebba) 2009-09-08 14:40:14 EDT
Perhaps I should also point out that running any of:

/usr/bin/bg5+pdflatex
/usr/bin/bg5pdflatex
/usr/bin/cef5pdflatex
/usr/bin/cefpdflatex
/usr/bin/cefspdflatex
/usr/bin/gbkpdflatex
/usr/bin/sjispdflatex

along the lines of `bg5pdflatex foo.tex` results in:
/usr/bin/bg5pdflatex: line 41: pdflatex: command not found
Comment 28 Jeff Moe (jebba) 2009-09-08 15:14:00 EDT
Package texlive-fontools probably should Requires: lcdf-typetools.

`man /usr/share/texlive/texmf/doc/man/man1/autoinst.1` (from texlive-fontools-doc):

==========================
NAME
autoinst - wrapper script around the LCDF TypeTools, for installing OpenType fonts in LaTeX.

DESCRIPTION
Eddie Kohler’s TypeTools, mainly otftotfm, are great tools for installing OpenType fonts for use with LaTeX, but their use (even in automatic mode) is quite complicated; they need lots of long command lines and don’t generate the fd and sty files LaTeX needs.  autoinst simplifies the font installation process by generating and executing all commands for otftotfm and by creating all necessary fd and sty files. All the user then needs to do is move these files to a suitable location ("$LOCALTEXMF/tex/latex/<Supplier>/<FontFamily>/" is the canonical choice) and update TeX’s filename database.
==========================

$ rpm -qf `which autoinst`
texlive-fontools-bin-2009-13822.fc11.x86_64

$ `autoinst foo.ttf`
sh: otfinfo: command not found   ...


In sum, texlive-fontools is worthless without lcdf-typetools (the latter which i cannot install at the moment due to "texlive = 2007-42.fc11 is needed by package kpathsea-2007-42.fc11.x86_64").
Comment 29 Jindrich Novy 2009-09-08 15:17:39 EDT
Could you please try the latest packages I uploaded yesterday to the repository?
Comment 30 Jeff Moe (jebba) 2009-09-08 16:37:14 EDT
I believe I already am at the latest pacakges:

texlive-scheme-full-2009-14327.fc11.noarch
texlive-2009-0.5.20090906.fc11.x86_64
Comment 31 Vincenzo Ciancia 2009-09-09 07:43:09 EDT
I tested the latest version of the packages, here are a few observations:

- the link to the repository package in the above linked wiki page is wrong, the rpm that you provide is newer, I had to navigate manually in the directory to find it

- IMHO, the package named "texlive" should depend on a recommended set of packages that make latex actually work, for example, just installing it, fonts are not installed. 

- It is a pain to install all the required packages to compile a tex file, because "yum provides" is generally a slow thing, and one tends to install stuff one by one (also because latex by default just gives you one error at a time). Perhaps it would be feasible to create a script that runs latex in "non stop" mode and tries to fix errors by searching for relevant packages.

- the bibtex style amsalpha.bst is missing in the archive, but was provided by texlive 2007 and it is in CTAN (perhaps not all the packages have been imported already?).

Apart from that, after installing all the dependencies of my main latex files, they work nicely and pgf-2.0 is there. Thanks a lot for your work.
Comment 32 Susi Lehtola 2009-09-09 10:54:58 EDT
I get

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!

when running pdflatex.


And dvipng still isn't provided by texlive-dvipng-bin, which causes trouble with e.g. pidgin-latex.
Comment 33 Jeff Moe (jebba) 2009-09-09 11:53:01 EDT
I see why I didn't have pdflatex. I didn't have the texlive-latex-bin package installed. I would think that would come with texlive-scheme-full, no? How does one go about getting all the texlive 2009 packages so there is a complete set?


$ rpm -q texlive texlive-scheme-full texlive-latex-bin
texlive-2009-0.5.20090906.fc11.x86_64
texlive-scheme-full-2009-14327.fc11.noarch
package texlive-latex-bin is not installed

I'll also point out that running `yum search pdflatex` did not mention the texlive-latex-bin package.
Comment 34 Jeff Moe (jebba) 2009-09-09 11:57:28 EDT
Perhaps pdflatex (texlive-latex-bin) could also be added as a Requires: for these (all of which I had installed, without having pdflatex):

texlive-collection-latexextra-2009-15106.fc11.noarch
texlive-collection-latex-2009-14245.fc11.noarch
texlive-collection-latex3-2009-13822.fc11.noarch
texlive-collection-latexrecommended-2009-13822.fc11.noarch

In fact, having the above four RPMs installed doesn't even include bringing it the /usr/bin/latex binary (!).



----->  yum provides \*/pdflatex  <----   :)
Comment 35 Jeff Moe (jebba) 2009-09-09 12:02:36 EDT
I am also getting the same error as in comment #32 now:


$ pdflatex foo.tex 
This is pdfTeX, Version 3.1415926-1.40.10 (Web2C 2009)
 restricted \write18 enabled.

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!
Comment 36 Jeff Moe (jebba) 2009-09-09 12:21:55 EDT
Little by little it is getting solved  ;)


Installing texlive-texmf-latex fixes the problem mentioned in comments 32 and 35. So somehow lots of necessary packages are not getting dragged in when texlive is installed.
Comment 37 Jindrich Novy 2009-09-09 13:47:56 EDT
(In reply to comment #25)
> I tried to install texlive-scheme-full, but it resulted in a lot of conflicts
> of the type
> 
> file /usr/bin/epsffit from install of
> texlive-psutils.ARCH-2009-14164.fc11.x86_64 conflicts with file from package
> psutils-1.17-30.fc11.x86_64
> 
> and so on. psutils shouldn't probably be built as part of texlive?  

This one should be fixed now.

The problems with texlive-latex should be fixed as well. I tried to completely install texlive-scheme-full without any problems. The issue with it likely comes from metadata expiration which is set to 7 days so it is likely that yum still tries to use old metadata (with bad texlive-latex dependencies).

Please try to yum clean all; yum install texlive-scheme-full and it should run smooth (assuming you do not have anything requiring old libkpathsea.so.4 on your system).

Another thing is that I checked only x86_64 variant. May I ask which arch o yu use?
Comment 38 Jindrich Novy 2009-09-09 13:48:47 EDT
(In reply to comment #25)
> I tried to install texlive-scheme-full, but it resulted in a lot of conflicts
> of the type
> 
> file /usr/bin/epsffit from install of
> texlive-psutils.ARCH-2009-14164.fc11.x86_64 conflicts with file from package
> psutils-1.17-30.fc11.x86_64
> 
> and so on. psutils shouldn't probably be built as part of texlive?  

This one should be fixed now.

The problems with texlive-latex should be fixed as well. I tried to completely install texlive-scheme-full without any problems. The issue with it likely comes from metadata expiration which is set to 7 days so it is likely that yum still tries to use old metadata (with bad texlive-latex dependencies).

Please try to yum clean all; yum install texlive-scheme-full and it should run smooth (assuming you do not have anything requiring old libkpathsea.so.4 on your system).

Another thing is that I checked only x86_64 variant. May I ask which arch do yu use?
Comment 39 Jindrich Novy 2009-09-09 14:03:09 EDT
Sorry for double-posting.

Forgot to mention that I requested creation of a new tag derived from dist-f12 to let me build TeX Live 2009 in it and rebuild dependencies such as lcdf-typetools against newer libkpathsea.so.5 and add the built packages to the repository.

The missing amsalpha.bst is caused by upstream. There is still no package providing it in the current state of TL2009. It will be added too I believe.
Comment 40 Susi Lehtola 2009-09-09 15:15:15 EDT
(In reply to comment #36)
> Little by little it is getting solved  ;)
> 
> 
> Installing texlive-texmf-latex fixes the problem mentioned in comments 32 and
> 35. So somehow lots of necessary packages are not getting dragged in when
> texlive is installed.  

Uhh, I get

# yum install texlive-texmf-latex
Package texlive-texmf-latex is obsoleted by texlive-latex, trying to install texlive-latex-2009-14920.fc11.noarch instead
Package texlive-latex-2009-14920.fc11.noarch already installed and latest version

so how did you install the package?
Comment 41 Jeff Moe (jebba) 2009-09-09 15:41:28 EDT
Jussi, you are correct (comment 40), I actually DO NOT have texlive-texmf-latex installed, sorry for the confusion. I'm a bit baffled now. It *is* working for me now though. I ran `texhash` as root, but it didnt seem to work the first time I ran it. I don't have the pdflatex.fmt on my system anywhere. /me puzzled
Comment 42 Jindrich Novy 2009-09-09 21:38:35 EDT
(In reply to comment #41)
> Jussi, you are correct (comment 40), I actually DO NOT have texlive-texmf-latex
> installed, sorry for the confusion. I'm a bit baffled now. It *is* working for
> me now though. I ran `texhash` as root, but it didnt seem to work the first
> time I ran it. I don't have the pdflatex.fmt on my system anywhere. /me puzzled  

pdflatex.fmt is usually generated in /var/lib/texmf/web2c/pdftex. If not, and you have texlive-latex installed, then something's gone wrong. I suspect it is caused by the previous installation of texlive from the repository which contained bug in scriptlets.

A general solution in your case would be "yum remove texlive" and install it again to ensure that you really have latest packages with correct scriptlets. Another source of problems might be contents of the ~/.texlive2009 directory by which texlive gets occasionally confused, especially when it contains obsolete formats/configurations from previous installations. I suggest to delete this directory first before doing anything else.
Comment 43 Susi Lehtola 2009-09-10 04:16:30 EDT
(In reply to comment #42)
> A general solution in your case would be "yum remove texlive" and install it
> again to ensure that you really have latest packages with correct scriptlets.
> Another source of problems might be contents of the ~/.texlive2009 directory by
> which texlive gets occasionally confused, especially when it contains obsolete
> formats/configurations from previous installations. I suggest to delete this
> directory first before doing anything else.  

I had already removed ~/.texlive2009 and it did not help, but the problem was solved by removing and reinstalling the texlive packages. I did get quite a few errors

sed: can't read /usr/share/texlive/texmf/web2c/updmap.cfg: No such file or directory

during the removal; it would seem that there are some missing dependencies in the packages, as they were obviously removed in the wrong order..
Comment 44 Jeff Moe (jebba) 2009-09-10 11:32:28 EDT
I removed texlive and re-installed it (`yum remove texlive && yum install texlive`), grabbing the September 10th binaries. This included the latex/pdflatex/lualatex binaries package (I didn't need to specify it separately). So this solves the problem mentioned in comment 33.  I'm installing scheme-full right now and will test lcdf-typetools/fontools etc...  Thanks!
Comment 45 Jeff Moe (jebba) 2009-09-10 14:30:07 EDT
FYI I still cannot install lcdf-typetools yet, though I do see new kpathsea (per your comment 39).

$ rpm -qa | grep kpathsea
texlive-kpathsea-bin-2009-15104.fc11.x86_64
texlive-kpathsea-lib-2009-0.6.20090906.fc11.x86_64
texlive-kpathsea-2009-14773.fc11.noarch


# yum -y install lcdf-typetools
Loaded plugins: presto, refresh-packagekit
texlive                                                                                                                                                                                       | 1.2 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package lcdf-typetools.x86_64 0:2.79-1.fc11 set to be updated
--> Processing Dependency: libkpathsea.so.4()(64bit) for package: lcdf-typetools-2.79-1.fc11.x86_64
--> Running transaction check
---> Package kpathsea.x86_64 0:2007-42.fc11 set to be updated
--> Processing Dependency: texlive = 2007-42.fc11 for package: kpathsea-2007-42.fc11.x86_64
--> Finished Dependency Resolution
kpathsea-2007-42.fc11.x86_64 from fedora has depsolving problems
  --> Missing Dependency: texlive = 2007-42.fc11 is needed by package kpathsea-2007-42.fc11.x86_64 (fedora)
Error: Missing Dependency: texlive = 2007-42.fc11 is needed by package kpathsea-2007-42.fc11.x86_64 (fedora)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest
Comment 46 Matthew Saltzman 2009-09-10 19:41:53 EDT
Created attachment 360588 [details]
strace from texconfig (as normal user) setting dvips paper type

Per our conversation this morning on fedora-devel about this issue.
Comment 47 Susi Lehtola 2009-10-15 15:27:44 EDT
So is the new package system going to be in F12? I guess you dropped the symlinks, so upgrades from old texlive installations work as they should?
Comment 48 Jindrich Novy 2009-10-16 13:28:27 EDT
*** Bug 526818 has been marked as a duplicate of this bug. ***
Comment 49 Jindrich Novy 2009-10-16 13:33:31 EDT
(In reply to comment #47)
> So is the new package system going to be in F12? I guess you dropped the
> symlinks, so upgrades from old texlive installations work as they should?  

The symlinks for backward compatibility are now added. Upgrades from the older installations should work(tm). Feel free to get loud if anything breaks.

Also changing target to rawhide as TL2009 is not released yet and we will not make it to be included in F12 even if it is released tomorrow due to long review process and font packaging issues what prevents us to pass the review quickly.
Comment 50 Jindrich Novy 2009-10-16 13:40:28 EDT
Good news are that new virtual provides are now introduced in the packages in the current repository. It makes it possible to install a particular style like "yum install 'tex(amstex.sty)'" and it automatically installs a package providing that style.

It makes the dependencies tighter so from now on you can be sure that by installation a given package shipping a style, all of its dependencies should be correctly installed first. There are some exceptions which I put into a blacklist because some of the styles that are required by some packages are not simply present in TeX Live 2009.

I'm going to notify upstream about that so they know which packages they need to add to have all dependencies satisfied.
Comment 51 Jindrich Novy 2009-10-21 14:56:00 EDT
*** Bug 456393 has been marked as a duplicate of this bug. ***
Comment 52 Susi Lehtola 2009-10-21 17:14:53 EDT
texlive-xetex-bin 2009-0.2.15590 is missing a Provides: xdvipdfmx that was present in a previous version. The package also Requires: xdvipdfmx, so it cannot be installed.
Comment 53 Jindrich Novy 2009-10-22 03:53:22 EDT
Jussi, it is actually intentional. The new version of TL2009 (currently present in the repository) now requires Fedora bits if shipped, including xdvipdfmx, dvipdfmx, dvipdfm, dvipng and others. It would broke up to now because of the dependency to kpathsea libraries.

Recently I committed a fix to texlive-2007 which makes kpathsea independent on texlive-2009. What does is mean is that from now on you can install both kpathseas, the texlive-2007 and texlive-2009 one and they will coexist. So even the old stuff from F11/F12 linked against kpathsea should work.

But note you need to update to at least texlive-2007-45 version of kpathsea to make it work. These packages are now in updates-testing.

A good think with this approach is that xdvik, xdvipdfmx and others will bring up the dependency to the new kpathsea automatically as soon as TL2009 is included because TL2009 kpathsea-devel obsoletes the old one and all these packages BuildRequires: kpathsea-devel.
Comment 54 Susi Lehtola 2009-10-22 04:16:40 EDT
OK, thanks for the info. I have another problem, though, on F-11:

  --> Missing Dependency: tex(makecell.sty) is needed by package texlive-tablists-2009-0.3.0.0e.14566.fc12.noarch (texlive)
  --> Missing Dependency: tex(fontspec.sty) is needed by package texlive-xecolour-2009-0.3.0.1.13293.fc12.noarch (texlive)

(Why are there .fc12 packages in the F-11 repo?)
Comment 55 Jindrich Novy 2009-10-22 04:58:05 EDT
(In reply to comment #54)
> OK, thanks for the info. I have another problem, though, on F-11:
> 
>   --> Missing Dependency: tex(makecell.sty) is needed by package
> texlive-tablists-2009-0.3.0.0e.14566.fc12.noarch (texlive)
>   --> Missing Dependency: tex(fontspec.sty) is needed by package
> texlive-xecolour-2009-0.3.0.1.13293.fc12.noarch (texlive)
> 

I see no problems on my side with f11 repo:

# yum whatprovides 'tex(fontspec.sty)' 'tex(makecell.sty)'
Loaded plugins: presto, refresh-packagekit
texlive-fontspec-2009-0.3.v1.18.13530.fc12.noarch : An automatic interface to feature-rich fonts in XeLaTeX
Repo        : texlive
Matched from:
Other       : tex(fontspec.sty)



texlive-makecell-2009-0.3.0.1e.14523.fc12.noarch : Tabular column heads and multilined cells
Repo        : texlive
Matched from:
Other       : tex(makecell.sty)

Please "yum clean all" and try again.

> (Why are there .fc12 packages in the F-11 repo?)  

Note that only noarch packages have the fc12 dist tag, because they are built on fc12. It shouldn't matter as they are noarch. Actually both the F11 and F12 share their noarch packages to save space on the server and to decrease respin time. (It takes ~8hrs to build TL2009, create repo and upload it to the server)
Comment 56 Susi Lehtola 2009-10-22 05:27:05 EDT
Funny, I can see those provides, too. This is probably a problem with yum, then. I'll have to try with a newer yum.
Comment 57 Susi Lehtola 2009-10-23 10:13:17 EDT
Removing and reinstalling all TeX Live packages fixed the problem.

Now there's some kind of a font problem, though; I can't get xdvi to work properly. Launching xdvi takes a long time, I get a lot of error messages of the type 

xdvi: Can't find pixel font ptmr8c; using cmr10 instead at 600 dpi.
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 0+360/600 --dpi 360 ptmr8t
mktexpk: don't know how to create bitmap font for ptmr8t.
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 0+360/600 --dpi 360 cmr10
mktexpk: Running mf-nowin -progname=mf \mode:=ljfour; mag:=0+360/600; nonstopmode; input cmr10

and the math in the dvi file is displayed all funny.
Comment 58 Susi Lehtola 2009-10-23 11:20:02 EDT
The first messages are

warning: Configuration file texmf.cnf not found! Searched these directories:
/usr/bin:/usr:/:/usr/bin/share/texmf-local/web2c:/usr/share/texmf-local/web2c://share/texmf-local/web2c:/usr/bin/texmf-local/web2c:/usr/texmf-local/web2c://texmf-local/web2c:/etc/texmf/web2c:/usr/local/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texmf/web2c
Trying to proceed...
xdvi: Warning: Unable to find "xdvi.cfg"!


which are probably the cause for the above..
Comment 59 Susi Lehtola 2009-11-05 18:20:45 EST
xdvi still doesn't work. After removal and reinstall I got at least pdflatex to work...
Comment 60 Jindrich Novy 2009-11-10 05:01:00 EST
Good news! TeX Live 2009 has been officially released this Saturday and the repository is now updated to this version. So you can try it out just now. I would be grateful of any comments.

Jussi: I obsoleted the Fedora xdvik among with others (dvipng, lcdf-typetools, dvipdfm, dvipdfmx) so TL now uses its own variant of these packages. A good thing is that it doesn't require the old kpathsea so there shouldn't be any problem in using it.
Comment 61 Jeff Moe (jebba) 2009-11-10 07:24:07 EST
=========================================================
I have the latest packages but also see:
warning: Configuration file texmf.cnf not found! ...

=========================================================
Some issues the same as in comment #19:
$ otftotfm -a -e texnansx -fkern -fliga  \
    FePIrm27C.otf LY1--IM_FELL_DW_Pica_PRO-Regular

warning: kpathsea: configuration file texmf.cnf not found in these directories: /usr/bin:/usr:/usr/share/texlive:/usr/bin/share/texmf-local/web2c:/usr/share/texmf-local/web2c:/usr/share/texlive/share/texmf-local/web2c:/usr/bin/texmf-local/web2c:/usr/texmf-local/web2c:/usr/share/texlive/texmf-local/web2c:/usr/bin/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texlive/share/texmf/web2c:/usr/bin/texmf/web2c:/usr/texmf/web2c:/usr/share/texlive/texmf/web2c.

otftotfm: /builddir/build/BUILD/texlive-2009/source/inst/lcdf-typetools

/glyphlist.txt: No such file or directory
otftotfm: /builddir/build/BUILD/texlive-2009/source/inst/lcdf-typetools

/texglyphlist.txt: No such file or directory
otftotfm: encoding ‘texnansx’ not found

=========================================================
Man page paths are still wrong (comment #19).

=========================================================
Per comment #28, autoinst is better, but errors thusly:
...
otftotfm: encoding ‘fontools_ly1’ not found
=========================================================
Comment 62 Jindrich Novy 2009-11-10 09:56:04 EST
(In reply to comment #61)
> =========================================================
> I have the latest packages but also see:
> warning: Configuration file texmf.cnf not found! ...
> 
> =========================================================

This looks severe. It is likely caused by the scriptlet %postun problems in older series of the TL packages. For those interested it was caused by http://rpm.org/ticket/16. You may fix it by reinstalling of TL.

> Some issues the same as in comment #19:
> $ otftotfm -a -e texnansx -fkern -fliga  \
>     FePIrm27C.otf LY1--IM_FELL_DW_Pica_PRO-Regular
> 
> warning: kpathsea: configuration file texmf.cnf not found in these directories:
> /usr/bin:/usr:/usr/share/texlive:/usr/bin/share/texmf-local/web2c:/usr/share/texmf-local/web2c:/usr/share/texlive/share/texmf-local/web2c:/usr/bin/texmf-local/web2c:/usr/texmf-local/web2c:/usr/share/texlive/texmf-local/web2c:/usr/bin/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texlive/share/texmf/web2c:/usr/bin/texmf/web2c:/usr/texmf/web2c:/usr/share/texlive/texmf/web2c.
> 
> otftotfm: /builddir/build/BUILD/texlive-2009/source/inst/lcdf-typetools
> 
> /glyphlist.txt: No such file or directory
> otftotfm: /builddir/build/BUILD/texlive-2009/source/inst/lcdf-typetools
> 
> /texglyphlist.txt: No such file or directory
> otftotfm: encoding ‘texnansx’ not found
> 
> =========================================================
> Man page paths are still wrong (comment #19).
> 
> =========================================================
> Per comment #28, autoinst is better, but errors thusly:
> ...
> otftotfm: encoding ‘fontools_ly1’ not found
> =========================================================  

Could you please provide me with the FePIrm27C.otf so that I am able to reproduce it?

Yes, the man page paths are not fixed yet in this release.
Comment 63 Jeff Moe (jebba) 2009-11-10 12:06:27 EST
I will wipe & re-install...
================================================================
Re: comment #62, you can get FePIrm27C.otf in here from upstream:
http://iginomarini.com/fell/wp-content/uploads/imfellclass28.zip
Comment 64 Tom "spot" Callaway 2009-11-10 17:40:51 EST
Jindrich, you should make sure that you are properly handling the relationship between tetex-* packages that are already in Fedora and the TexLive2009 set. Most of the tetex-* packages are probably legacy, and can be safely Provides/Obsoletes by the appropriate texlive packages.
Comment 65 Jindrich Novy 2009-11-11 04:51:06 EST
(In reply to comment #63)
> I will wipe & re-install...
> ================================================================
> Re: comment #62, you can get FePIrm27C.otf in here from upstream:
> http://iginomarini.com/fell/wp-content/uploads/imfellclass28.zip  

Works for me with the current repo packages:

$ otftotfm -a -e texnansx -fkern -fliga FePIrm27C.otf LY1--IM_FELL_DW_Pica_PRO-Regular
otftotfm: warning: no writable directory found in $TEXMFVAR or $TEXMF
otftotfm: (You probably need to set your TEXMF environment variable; see
otftotfm: the manual for more information. The current TEXMF path is
otftotfm: ‘/usr/share/texlive/texmf-config:/usr/share/texlive/texmf-var:/usr/share/texlive/texmf:/usr/share/texlive/../texmf:/usr/share/texlive/texmf-dist’.)
otftotfm: warning: ENCODINGDESTDIR not specified, placing encoding files in ‘.’
otftotfm: warning: VFDESTDIR not specified, placing VF files in ‘.’
otftotfm: warning: TFMDESTDIR not specified, placing TFM files in ‘.’
I had to round some heights by 20.5000000 units.
I had to round some depths by 7.5000000 units.
otftotfm: warning: DVIPS directory not specified, placing DVIPS map files in ‘.’
otftotfm: warning: DVIPS directory not specified, placing DVIPS updmap files in ‘.’
updmap: This is updmap, version $Id: updmap 14402 2009-07-23 17:09:15Z karl $
updmap: using transcript file `/home/jnovy/.texlive2009/texmf-var/web2c/updmap.log'
updmap: initial config file is `/usr/share/texlive/texmf-config/web2c/updmap.cfg'
updmap: configuration file updated: `/home/jnovy/.texlive2009/texmf-config/web2c/updmap.cfg'
Comment 66 Jindrich Novy 2009-11-11 09:05:50 EST
(In reply to comment #64)
> Jindrich, you should make sure that you are properly handling the relationship
> between tetex-* packages that are already in Fedora and the TexLive2009 set.
> Most of the tetex-* packages are probably legacy, and can be safely
> Provides/Obsoletes by the appropriate texlive packages.  

It is already sorted out. When all the tetex-* packages are installed and update to TL is requested, everything runs smooth and packages in the TL repo already contains Obsoletes/Provides for the old tetex stuff at least for two months. Please let me know if you see any problems while upgrading.
Comment 67 Jindrich Novy 2009-11-11 09:13:08 EST
Another good thing is that with update of the repository as of today all man pages and info files are installed to the correct places. (info pages with install-info to %{_infodir} and mans to %{_mandir} even though the default TL path was to %{_texmfdir}/texmf/doc).

Just for the record it is texlive-2009-2.20091107 and on.
Comment 68 Bug Zapper 2009-11-16 04:50:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 69 Felix Möller 2009-11-17 15:46:18 EST
I just updated to current your current texlive:
[fm@thinkpad assignment03]$ rpm -q texlive
texlive-2009-2.20091116.fc12.i686

after removing all currently installed packages of texlive 2007.

I just had to do yum install 'tex(synttree.sty)' and yum install 'tex(ngerman.sty)' and now my documents seem to be compiling again.

Thanks alot this already works great for me! Looking forward to see it in F13.

P.S: I did the update as I needed a new pgf version ...
Comment 70 Jindrich Novy 2009-11-18 06:22:41 EST
*** Bug 448214 has been marked as a duplicate of this bug. ***
Comment 71 Neal Becker 2009-11-18 10:05:35 EST
I just updated f11->f12, now I got

Transaction Check Error:
  file /usr/bin/pdfxmltex from install of xmltex-20020625-15.fc12.noarch conflicts with file from package texlive-xmltex-bin-2009-2.15878.fc11.x86_64                                                             
  file /usr/bin/xmltex from install of xmltex-20020625-15.fc12.noarch conflicts with file from package texlive-xmltex-bin-2009-2.15878.fc11.x86_64     

Shouldn't texlive obsolete xmltex?
Comment 72 Jindrich Novy 2009-11-18 10:54:55 EST
(In reply to comment #71)
> I just updated f11->f12, now I got
> 
> Transaction Check Error:
>   file /usr/bin/pdfxmltex from install of xmltex-20020625-15.fc12.noarch
> conflicts with file from package texlive-xmltex-bin-2009-2.15878.fc11.x86_64    
>   file /usr/bin/xmltex from install of xmltex-20020625-15.fc12.noarch conflicts
> with file from package texlive-xmltex-bin-2009-2.15878.fc11.x86_64     
> 
> Shouldn't texlive obsolete xmltex?  

Yes it should. It will be fixed in the repository with the next update.
Comment 73 José Matos 2009-11-19 10:55:09 EST
As Jindrich suggested in fedora-devel mailing list I am posting here my problems with the texlive repo.

I am still seeing the dependency problems with linearA and Asana-Math:

Error: Missing Dependency: texlive-linearA = 2009 is needed by package texlive-collection-fontsextra-2009-2.13989.fc12.noarch (installed)
Error: Missing Dependency: texlive-Asana-Math = 2009 is needed by package texlive-collection-fontsextra-2009-2.13989.fc12.noarch (installed)

I have this problem both for F-12 and F-13 (rawhide).

This is after

yum clean all; yum update --skip-broken
Comment 74 Susi Lehtola 2009-11-19 14:29:30 EST
FYI I had the same problem, but running
 # rpm -e --nodeps texlive-collection-fontsextra
 # yum -y update
solved the problem.
Comment 75 José Matos 2009-11-19 14:46:30 EST
Thanks Jussi, the same happens here both for F-12 and rawhide. It is nice to see texlive going so well on Fedora. :-)

Going well in the sense that my work is not disturbed by the use of a test version. :-)
Comment 76 Neal Becker 2009-11-19 14:55:28 EST
OK here, except seems every time I update, scripts are not run correctly.  I typically wind up missing .fmt files.  Sometimes will then get generated automatically and end up in ~/.texlive2009.  Other times that fails.

yum reinstall texlive* seems to fix it, but that's _painful_
Comment 77 Neal Becker 2009-11-19 20:13:48 EST
See, I just did yum update, and now:
 xelatex test1.tex
This is XeTeX, Version 3.1415926-2.2-0.9995.2 (Web2C 2009)

kpathsea: Running mktexfmt xelatex.fmt
I can't find the format file `xelatex.fmt'!

I know reinstall texlive* will fix it, but is there some easier fix?
Comment 78 Neal Becker 2009-11-19 20:20:44 EST
 sudo yum reinstall texlive-xetex fixed that problem
Comment 79 Jindrich Novy 2009-11-20 06:03:53 EST
(In reply to comment #73)
> As Jindrich suggested in fedora-devel mailing list I am posting here my
> problems with the texlive repo.
> 
> I am still seeing the dependency problems with linearA and Asana-Math:
> 
> Error: Missing Dependency: texlive-linearA = 2009 is needed by package
> texlive-collection-fontsextra-2009-2.13989.fc12.noarch (installed)
> Error: Missing Dependency: texlive-Asana-Math = 2009 is needed by package
> texlive-collection-fontsextra-2009-2.13989.fc12.noarch (installed)
> 
> I have this problem both for F-12 and F-13 (rawhide).
> 
> This is after
> 
> yum clean all; yum update --skip-broken  

The problem was that the revision of texlive-collection-fontsextra-2009-2.13989 was not bumped so that also the new package with correct dependencies was not pulled in with updates.

I will use the main noarch version increasing so that all noarchs get updated. This shouldn't hurt anyone too much as the TL repos newly support delta rpms :)

So this problem will be fixed in the next respin. For now I'd suggest a workaround that Jussi presented.
Comment 80 Susi Lehtola 2009-11-20 06:16:07 EST
(In reply to comment #79)
> I will use the main noarch version increasing so that all noarchs get updated.
> This shouldn't hurt anyone too much as the TL repos newly support delta rpms :)

/me would rather go with the current way of doing things. I don't mind downloading a few extra bits; ~4000 yum transactions is the PITA. Updating the TeX Live RPMs takes a *really* long time, delayed transactions in RPM would be really helpful...
Comment 81 Jeff Moe (jebba) 2009-11-26 18:49:49 EST
I'm happy to say for the first time I am able to build my document with texlive-2009.   :)

------

My font issues in comment #19 are fixed.

------

The man pages are appearing in the correct locations and aren't being generated as PDFs.

------

May I suggest some sort of -collection or -scheme package that drags in the man pages? I have texlive-collection-documentation-english, texlive-collection-documentation-base, texlive-scheme-full, plus many other meta packages, but despite all that I don't get the otftotfm man page (which is in texlive-lcdftypetools-doc). Perhaps texlive-collection-manpages or somesuch?

Thanks! :)
Comment 82 Matthew Saltzman 2009-11-30 14:37:06 EST
In F12, I have a document in beamer style.  When I run latex, I get warnings

    LaTeX Font Warning: Font shape `OT1/cmss/m/n' in size <4> not available
    (Font)              size <5> substituted on input line 39.

and

    LaTeX Font Warning: Size substitutions with differences
    (Font)              up to 1.0pt have occurred.

When I run xdvi, I get:

Warning: Missing charsets in String to FontSet conversion
Warning: Unable to load any usable fontset
gs: Error: /undefined in --execute--
gs: Operand stack:
gs:    --nostringval--   --nostringval--   2.39105   3.38733   8.26909   0.79701
gs: Execution stack:
gs:    %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--
gs:    2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   fals
gs: e   1   %stopped_push   1862   1   3   %oparray_pop   1861   1   3   %oparray_pop
gs:    1845   1   3   %oparray_pop   1739   1   3   %oparray_pop   --nostringval--   
gs: %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval-- 
gs:   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nost
gs: ringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1753 
gs:   1   3   %oparray_pop   --nostringval--   --nostringval--   false   1   %stopped
gs: _push   --nostringval--   --nostringval--   --nostringval--
gs: Dictionary stack:
gs:    --dict:1155/1684(ro)(G)--   --dict:1/20(G)--   --dict:127/200(L)--   --dict:25
gs: /250(L)--   --dict:33/200(L)--
gs: Current allocation mode is local
gs: Last OS error: 11

and it repeats once after paging down.

This seems to be new with a fresh install on F12.
Comment 83 Matthew Saltzman 2009-11-30 14:45:03 EST
I also get the same warning

    Warning: Missing charsets in String to FontSet conversion
    Warning: Unable to load any usable fontset

(but without the gs errors) when I latex a plain article and attempt to view it.
Comment 84 Neal Becker 2009-11-30 14:49:46 EST
I think the warnings are normal.

I always use pdflatex with beamer.  Try that?
Comment 85 Matthew Saltzman 2009-11-30 16:48:53 EST
(In reply to comment #84)
> I think the warnings are normal.

Could be, for beamer, but seems surprising for normal articles.

> 
> I always use pdflatex with beamer.  Try that?  

That works as expected.
Comment 86 Jindrich Novy 2009-12-07 06:47:57 EST
> May I suggest some sort of -collection or -scheme package that drags in the man
> pages? I have texlive-collection-documentation-english,
> texlive-collection-documentation-base, texlive-scheme-full, plus many other
> meta packages, but despite all that I don't get the otftotfm man page (which is
> in texlive-lcdftypetools-doc). Perhaps texlive-collection-manpages or somesuch?

Hmm, I'm considering to move the man and info pages to binary packages
instead. So that you can be sure that together with a binary you install a man/info page as well (in case it exists). But thanks for pointing this out.
Comment 87 Vedran Miletić 2010-01-11 05:35:16 EST
Jindrich, Debian has a very nice custom of upgrading ConTeXt independantly of TeX Live. Is there a chance that Fedora (you :-)) will do the same?

P.S. I addded some bugs to "Blocks" that will likely get fixed once TeX Live 2009 is available in Fedora.
Comment 88 Felix Möller 2010-01-11 05:45:54 EST
Sadly it seems like the redhat bugzilla, does not allow me to add Blocks. Bug #551749 is blocked by this too.
Comment 89 Vedran Miletić 2010-01-11 05:52:03 EST
Actually, from what I see, you managed to add it.
Comment 90 Susi Lehtola 2010-01-18 11:14:36 EST
Hmm, achemso.bst seems to be missing.
Comment 91 Vedran Miletić 2010-01-25 04:25:49 EST
Upon upgrading to lastest TeX Live 2009 from jnovy's repo, I get

*** glibc detected *** aleph: realloc(): invalid pointer: 0x00007fffdf616602 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3495474a76]
/lib64/libc.so.6(realloc+0x2e2)[0x349547a472]
/usr/lib64/libkpathsea.so.5(xrealloc+0xf)[0x7f4beb9eaadf]
/usr/lib64/libkpathsea.so.5(+0xfc61)[0x7f4beb9e9c61]
/usr/lib64/libkpathsea.so.5(+0x10053)[0x7f4beb9ea053]
/usr/lib64/libkpathsea.so.5(kpathsea_var_expand+0x19d)[0x7f4beb9e9e7d]
/usr/lib64/libkpathsea.so.5(kpathsea_brace_expand+0x10)[0x7f4beb9e4a20]
/usr/lib64/libkpathsea.so.5(+0x518f)[0x7f4beb9df18f]
/usr/lib64/libkpathsea.so.5(kpathsea_init_format+0x181f)[0x7f4beb9e0abf]
/usr/lib64/libkpathsea.so.5(kpathsea_cnf_get+0xaa)[0x7f4beb9e21da]
/usr/lib64/libkpathsea.so.5(kpathsea_var_value+0xc0)[0x7f4beb9ea260]
/usr/lib64/libkpathsea.so.5(+0x4c8b)[0x7f4beb9dec8b]
/usr/lib64/libkpathsea.so.5(kpathsea_init_format+0xe85)[0x7f4beb9e0125]
/usr/lib64/libkpathsea.so.5(kpathsea_find_file_generic+0x5ed)[0x7f4beb9e1c6d]
/usr/lib64/libkpathsea.so.5(kpathsea_find_file+0x9)[0x7f4beb9e1cd9]
aleph[0x46223a]
aleph[0x4627b9]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x349541eb1d]
aleph[0x401dc9]
======= Memory map: ========
00400000-0047a000 r-xp 00000000 08:02 106056                             /usr/bin/aleph
0067a000-0067b000 rw-p 0007a000 08:02 106056                             /usr/bin/aleph
0067b000-007d0000 rw-p 00000000 00:00 0 
017b2000-017d3000 rw-p 00000000 00:00 0                                  [heap]
3495000000-349501e000 r-xp 00000000 08:02 49                             /lib64/ld-2.11.1.so
349521d000-349521e000 r--p 0001d000 08:02 49                             /lib64/ld-2.11.1.so
349521e000-349521f000 rw-p 0001e000 08:02 49                             /lib64/ld-2.11.1.so
349521f000-3495220000 rw-p 00000000 00:00 0 
3495400000-349556f000 r-xp 00000000 08:02 50                             /lib64/libc-2.11.1.so
349556f000-349576f000 ---p 0016f000 08:02 50                             /lib64/libc-2.11.1.so
349576f000-3495773000 r--p 0016f000 08:02 50                             /lib64/libc-2.11.1.so
3495773000-3495774000 rw-p 00173000 08:02 50                             /lib64/libc-2.11.1.so
3495774000-3495779000 rw-p 00000000 00:00 0 
3496000000-3496083000 r-xp 00000000 08:02 134                            /lib64/libm-2.11.1.so
3496083000-3496282000 ---p 00083000 08:02 134                            /lib64/libm-2.11.1.so
3496282000-3496283000 r--p 00082000 08:02 134                            /lib64/libm-2.11.1.so
3496283000-3496284000 rw-p 00083000 08:02 134                            /lib64/libm-2.11.1.so
34a1800000-34a1816000 r-xp 00000000 08:02 506                            /lib64/libgcc_s-4.4.2-20091222.so.1
34a1816000-34a1a15000 ---p 00016000 08:02 506                            /lib64/libgcc_s-4.4.2-20091222.so.1
34a1a15000-34a1a16000 rw-p 00015000 08:02 506                            /lib64/libgcc_s-4.4.2-20091222.so.1
7f4beb9d6000-7f4beb9da000 rw-p 00000000 00:00 0 
7f4beb9da000-7f4beb9f0000 r-xp 00000000 08:02 9180                       /usr/lib64/libkpathsea.so.5.1.0
7f4beb9f0000-7f4bebbef000 ---p 00016000 08:02 9180                       /usr/lib64/libkpathsea.so.5.1.0
7f4bebbef000-7f4bebbf0000 rw-p 00015000 08:02 9180                       /usr/lib64/libkpathsea.so.5.1.0
7f4bebbf0000-7f4bebbf3000 rw-p 00000000 00:00 0 
7f4bebc0c000-7f4bebc0d000 rw-p 00000000 00:00 0 
7fffdf602000-7fffdf617000 rw-p 00000000 00:00 0                          [stack]
7fffdf736000-7fffdf737000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
*** glibc detected *** aleph: realloc(): invalid pointer: 0x00007fff8f8ad5f5 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3495474a76]
/lib64/libc.so.6(realloc+0x2e2)[0x349547a472]
/usr/lib64/libkpathsea.so.5(xrealloc+0xf)[0x7fbb8f7d4adf]
/usr/lib64/libkpathsea.so.5(+0xfc61)[0x7fbb8f7d3c61]
/usr/lib64/libkpathsea.so.5(+0x10053)[0x7fbb8f7d4053]
/usr/lib64/libkpathsea.so.5(kpathsea_var_expand+0x19d)[0x7fbb8f7d3e7d]
/usr/lib64/libkpathsea.so.5(kpathsea_brace_expand+0x10)[0x7fbb8f7cea20]
/usr/lib64/libkpathsea.so.5(+0x518f)[0x7fbb8f7c918f]
/usr/lib64/libkpathsea.so.5(kpathsea_init_format+0x181f)[0x7fbb8f7caabf]
/usr/lib64/libkpathsea.so.5(kpathsea_cnf_get+0xaa)[0x7fbb8f7cc1da]
/usr/lib64/libkpathsea.so.5(kpathsea_var_value+0xc0)[0x7fbb8f7d4260]
/usr/lib64/libkpathsea.so.5(+0x4c8b)[0x7fbb8f7c8c8b]
/usr/lib64/libkpathsea.so.5(kpathsea_init_format+0xe85)[0x7fbb8f7ca125]
/usr/lib64/libkpathsea.so.5(kpathsea_find_file_generic+0x5ed)[0x7fbb8f7cbc6d]
/usr/lib64/libkpathsea.so.5(kpathsea_find_file+0x9)[0x7fbb8f7cbcd9]
aleph[0x46223a]
aleph[0x4627b9]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x349541eb1d]
aleph[0x401dc9]
======= Memory map: ========
00400000-0047a000 r-xp 00000000 08:02 106056                             /usr/bin/aleph
0067a000-0067b000 rw-p 0007a000 08:02 106056                             /usr/bin/aleph
0067b000-007d0000 rw-p 00000000 00:00 0 
025e3000-02604000 rw-p 00000000 00:00 0                                  [heap]
3495000000-349501e000 r-xp 00000000 08:02 49                             /lib64/ld-2.11.1.so
349521d000-349521e000 r--p 0001d000 08:02 49                             /lib64/ld-2.11.1.so
349521e000-349521f000 rw-p 0001e000 08:02 49                             /lib64/ld-2.11.1.so
349521f000-3495220000 rw-p 00000000 00:00 0 
3495400000-349556f000 r-xp 00000000 08:02 50                             /lib64/libc-2.11.1.so
349556f000-349576f000 ---p 0016f000 08:02 50                             /lib64/libc-2.11.1.so
349576f000-3495773000 r--p 0016f000 08:02 50                             /lib64/libc-2.11.1.so
3495773000-3495774000 rw-p 00173000 08:02 50                             /lib64/libc-2.11.1.so
3495774000-3495779000 rw-p 00000000 00:00 0 
3496000000-3496083000 r-xp 00000000 08:02 134                            /lib64/libm-2.11.1.so
3496083000-3496282000 ---p 00083000 08:02 134                            /lib64/libm-2.11.1.so
3496282000-3496283000 r--p 00082000 08:02 134                            /lib64/libm-2.11.1.so
3496283000-3496284000 rw-p 00083000 08:02 134                            /lib64/libm-2.11.1.so
34a1800000-34a1816000 r-xp 00000000 08:02 506                            /lib64/libgcc_s-4.4.2-20091222.so.1
34a1816000-34a1a15000 ---p 00016000 08:02 506                            /lib64/libgcc_s-4.4.2-20091222.so.1
34a1a15000-34a1a16000 rw-p 00015000 08:02 506                            /lib64/libgcc_s-4.4.2-20091222.so.1
7fbb8f7c0000-7fbb8f7c4000 rw-p 00000000 00:00 0 
7fbb8f7c4000-7fbb8f7da000 r-xp 00000000 08:02 9180                       /usr/lib64/libkpathsea.so.5.1.0
7fbb8f7da000-7fbb8f9d9000 ---p 00016000 08:02 9180                       /usr/lib64/libkpathsea.so.5.1.0
7fbb8f9d9000-7fbb8f9da000 rw-p 00015000 08:02 9180                       /usr/lib64/libkpathsea.so.5.1.0
7fbb8f9da000-7fbb8f9dd000 rw-p 00000000 00:00 0 
7fbb8f9f6000-7fbb8f9f7000 rw-p 00000000 00:00 0 
7fff8f899000-7fff8f8ae000 rw-p 00000000 00:00 0                          [stack]
7fff8f9ff000-7fff8fa00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

but install finishes normally.
Comment 92 Susi Lehtola 2010-01-25 07:20:55 EST
Now I get

$ xdvi
Segmentation fault
Comment 93 Sebastian Krämer 2010-02-02 08:31:39 EST
(In reply to comment #20)
> Would texlive-2008 also include pgf-2.0?

+1 for seeing an updated pgf/tikz package. I was about to file a bug about an outdated version (can't use some newer tikz features..) but that's practically identical to updating the whole tetex package..
Good luck with the packaging, looking forward to updating to 2009 release!
Comment 94 Matthew Saltzman 2010-02-25 16:38:42 EST
Is this the right place to point this out?

texlive-newlfm requires texlive-lastpage (but yum doesn't pull the latter when you install the former).
Comment 95 Bug Zapper 2010-03-15 08:26:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 96 Vedran Miletić 2010-03-17 11:42:30 EDT
According to [1], this will not be a part of F13, so this automatic change is certainly incorrect.

Are there any plans to include TeX Live 2009 at all? F14, maybe?

[1] http://fedoraproject.org/wiki/Releases/13/FeatureList
Comment 97 Jindrich Novy 2010-03-29 12:02:31 EDT
Hi all, sorry for a bit of delay but I wanted to post here after repository upload so that you are immediately able to update.

The new packages in the repository come with one critical improvement. Files such as fmtutil.cnf, updmap.cfg are now properly declared as config files. This is important because up to now, when you update the texlive-kpathsea, these files just got overwritten what cause pdflatex, etc. malfunction. So it was actually not caused by the substitutions in the %post/%postun scriptlets which just work fine :) Please update now so that your TeX Live installation won't get broken by any later update.

Another significant improvement is that the man and info pages are no more present only in the -doc subpackages. So, if you install texlive-divps, you will have man and info pages in your machine as well.

... and of course new packages/updates from upstream are included in the latest repository :)
Comment 98 Jindrich Novy 2010-03-29 12:21:27 EDT
(In reply to comment #96)
> According to [1], this will not be a part of F13, so this automatic change is
> certainly incorrect.
> 
> Are there any plans to include TeX Live 2009 at all? F14, maybe?
> 
> [1] http://fedoraproject.org/wiki/Releases/13/FeatureList    

Yes, TeX Live 2009 will not be a part of F13. Currently I'm thinking about increasing the version number to TeX Live 2010, because the repository actually contains a development snapshot of TeX Live 2010 (which is pretty stable though).

The plans about future inclusion to Fedora are yet open. The reason for it is that Fedora is not ready yet to adopt such a huge project which TeX Live is. One of the obvious reasons are the metadata size increase and a need to import 1800+ source packages. Up to now it is more or less feasible. The second reason is the FESCo approved guidelines which need to be respected by each Fedora package. I've been fighting with the Font packaging guidelines:

http://fedoraproject.org/wiki/Packaging:FontsPolicy

and I strongly doubt it could be automated. It is enough to look here at the results of the font-audit script:

http://jnovy.fedorapeople.org/texlive/font-audit/

What makes me believe that TeX Live will live in a separate repository yet for a while.
Comment 99 Tom "spot" Callaway 2010-03-29 12:28:03 EDT
We really need to work on this, as the texlive bits in Fedora now are:

* old
* sometimes-broken
* sometimes-non-free

I'm willing to help review packages, I suspect others would be as well.
Comment 100 Jindrich Novy 2010-03-29 12:29:28 EDT
(In reply to comment #94)
> Is this the right place to point this out?
> 
> texlive-newlfm requires texlive-lastpage (but yum doesn't pull the latter when
> you install the former).    

The dependencies among packages are automatically generated from the upstream metadata. It is better to ask directly upstream because you can clarify whether it is a real dependency or not. I can handle that in case it is a style dependency. It could be a bug in the style dependency finder.
Comment 101 Jindrich Novy 2010-03-29 12:35:18 EDT
(In reply to comment #99)
> We really need to work on this, as the texlive bits in Fedora now are:
> 
> * old
> * sometimes-broken
> * sometimes-non-free
> 
> I'm willing to help review packages, I suspect others would be as well.    

Yup, I fully agree. I'd love to see TL in Fedora ;) But the reviews won't pass because of the Font packaging guidelines.
Comment 102 Vedran Miletić 2010-03-30 07:53:45 EDT
So, considering font packaging guidelines, what is to do? I doubt much will change in time for F14.
Comment 103 Tom "spot" Callaway 2010-03-30 09:00:20 EDT
(In reply to comment #101)

> Yup, I fully agree. I'd love to see TL in Fedora ;) But the reviews won't pass
> because of the Font packaging guidelines.    

I'm not sure of this. Note that font-audit goes well above and beyond the requirements for Fedora. They're the perfect ideal, but most of my font packages don't pass font-audit either. A lot of the items noted are things for you to point out and try to work with upstream to fix.

The basic font packaging (the naming, the spec layout, and the fontconfig work) should be possible.
Comment 104 Jindrich Novy 2010-03-31 08:13:44 EDT
(In reply to comment #103)
> (In reply to comment #101)
> I'm not sure of this. Note that font-audit goes well above and beyond the
> requirements for Fedora. They're the perfect ideal, but most of my font
> packages don't pass font-audit either. A lot of the items noted are things for
> you to point out and try to work with upstream to fix.
> 
> The basic font packaging (the naming, the spec layout, and the fontconfig work)
> should be possible.    

I've done a bit of work yesterday on the font-audit compliance. The main problem was that the texlive-*-fedora-fonts packages contained only symlinks to the proper location in the TEXMF tree. In this case %_font_pkg macro just refused to process the fonts and to add font Provides.

repo-font-audit still has many false positives (like *.bdf files considered fonts which they aren't), etc. Most of the real font-realted problems should be foxed now:

http://jnovy.fedorapeople.org/texlive/font-audit/summary.txt

Spot, while I have you here, it would be nice if you can review the license matching arrays whether everything is OK from the legal perspective. The first table matches the license tags from TL upstream metadata to LIC_* enums. The second array maps the enums to the License tag in spec:

match license[] = {
        {"gpl", LIC_GPL},
        {"lppl1.2", LIC_LPPL},
        {"lppl1.3", LIC_LPPL},
        {"lppl", LIC_LPPL},
        {"other-free", LIC_OTHER_FREE},
        {"pd", LIC_PD},
        {"noinfo", LIC_NOINFO},
        {"lgpl", LIC_LGPL},
        {"gfsl", LIC_GFSL},
        {"bsd", LIC_BSD},
        {"knuth", LIC_KNUTH},
        {"unknown", LIC_UNKNOWN},
        {"gfl", LIC_GFL},
        {"artistic2", LIC_ARTISTIC2},
        {"fdl", LIC_FDL},
        {"collection", LIC_COLLECTION},
        {"artistic", LIC_ARTISTIC},
        {"other", LIC_OTHER},
        {"ofl", LIC_OFL},
        {"apache2", LIC_APACHE2},
        {"nosource", LIC_NOSOURCE},
        {"nosell", LIC_NOSOURCE},
        {"nocommercial", LIC_NOCOMMERCIAL},
        {NULL, 0}
};

match spec_license[] = {
        {"GPLv2+", LIC_GPL},
        {"LPPL", LIC_LPPL},
        {"Freely redistributable without restriction", LIC_OTHER_FREE},
        {"Public Domain", LIC_PD},
        {"No Info", LIC_NOINFO},
        {"LGPLv2+", LIC_LGPL},
        {"LPPL", LIC_GFSL},
        {"BSD", LIC_BSD},
        {"Knuth", LIC_KNUTH},
        {"Unknown", LIC_UNKNOWN},
        {"LPPL", LIC_GFL},
        {"Artistic 2.0", LIC_ARTISTIC2},
        {"GFDL", LIC_FDL},
        {"Public Domain", LIC_COLLECTION},
        {"Artistic", LIC_ARTISTIC},
        {"Other", LIC_OTHER},
        {"OFSFLD", LIC_OFL},
        {"ASL 2.0", LIC_APACHE2},
        {"No Source", LIC_NOSOURCE},
        {"No Sell", LIC_NOSOURCE},
        {"Non-commercial", LIC_NOCOMMERCIAL},
        {NULL, 0}
};

These licenses are not allowed:

#define LIC_NOTALLOWED (LIC_NOINFO | LIC_UNKNOWN | LIC_ARTISTIC | LIC_NOSOURCE | LIC_NOSELL | LIC_NOCOMMERCIAL)

Thanks!
Comment 105 Jindrich Novy 2010-03-31 08:27:59 EDT
(In reply to comment #102)
> So, considering font packaging guidelines, what is to do? I doubt much will
> change in time for F14.    

One of the remaining problems that seem to be a potential review-stopper is this warning:

t3. Error: packages that mix different font families

  ☛ Packager task
  
  Reliable font auto-installation requires shipping only one font family per
  font package.
  
  (If you've remapped some font names at the fontconfig level your package
  may appear here pending some fontconfig fixes upstream is aware of).

There are 69 packages that provide more font families in the whole TeX Live repository. The question is how to detect packages which provide different font families and whether adding a mechanism to detect these families and packaging them in separate (sub)packages is worth the trouble.

I'm currently investigating it, but I'm open to any suggestions. Currently all fonts from a TeX Live package are put into the texlive-*-fedora-fonts subpackage. The implementation is here:

http://jnovy.fedorapeople.org/texlive/tl2rpm.c
(line 1658 and on)

It catches fonts with the TTF, TTC, PFA, PFB, PCF and OTF extensions, hopefully that's enough.
Comment 106 Tom "spot" Callaway 2010-03-31 09:34:45 EDT
(In reply to comment #104)

> Spot, while I have you here, it would be nice if you can review the license
> matching arrays whether everything is OK from the legal perspective. The first
> table matches the license tags from TL upstream metadata to LIC_* enums. The
> second array maps the enums to the License tag in spec:
> 
> match license[] = {
>         {"gpl", LIC_GPL},

> match spec_license[] = {
>         {"GPLv2+", LIC_GPL},

It is not safe to assume that because it is flagged as "gpl" in the TL metadata that it is GPLv2+. Each one of those will need to be confirmed manually.

> These licenses are not allowed:
> 
> #define LIC_NOTALLOWED (LIC_NOINFO | LIC_UNKNOWN | LIC_ARTISTIC | LIC_NOSOURCE
> | LIC_NOSELL | LIC_NOCOMMERCIAL)

LIC_OTHER should also not be allowed. If it is a new license, we can look at it, but nothing should end up with "License: Other"
Comment 107 Jindrich Novy 2010-03-31 10:17:29 EDT
If you see pdflatex problems after update, please have look at bug #578426.
Comment 108 Jindrich Novy 2010-04-12 04:02:10 EDT
The repository is now updated with new package set. The major improvements are:

- it is versioned texlive-2010 now
- noarch packages number reduced from 3580 down to 3440 because the dependency solver won't create empty packages (with no files) if it contains no dependencies. The depsolver also tries to omit the main package in case only docs are present and there are no ordinary files.
- no files in texmf-dist/source are packaged (packaging source files as normal runtime files is a bug in upstream metadata)
- GPL licenses are automatically distiguished (gpl->GPL+, gpl2->GPLv2+, gpl3->GPLv3+) according to upstream metadata

The TeX Live binaries are now in state of 29th March because of issues with updated libicu (4.2 -> 4.4) and luatex which won't build with gcc-4.4.x.

A good thing is e.g. that in case of x86_64, only 20M of packages need to be downloaded (78M expanded) to have fully functional pdflatex.
Comment 109 Jindrich Novy 2010-04-20 08:43:49 EDT
*** Bug 452918 has been marked as a duplicate of this bug. ***
Comment 110 Jindrich Novy 2010-04-20 08:49:26 EDT
I updated the repository again today with new packages. The major improvement is:

1. texhash/updmap/fmtutil is called post-transaction only once instead of every time a package is installed/updated. This significantly speeds up the installation/updating of TL packages by a factor of at least 70%.
2. new soname for libkpathsea, the update should run smooth
3. libicu is now updated to 4.4
4. new ptex stuff

You might have experienced problems during update yesterday. It is now fixed.
Comment 111 Vedran Miletić 2010-04-20 09:02:44 EDT
Jindrich, thank you so much for 1.
Comment 112 Felix Möller 2010-04-21 03:31:34 EDT
I had a perfectly working system yesterday. Then I updated and today I have:
[fm@thinkpad ]$ pdflatex mckinsey.tex
This is pdfTeX, Version 3.1415926-1.40.11-beta (Web2C 2010/dev)

kpathsea: Running mktexfmt pdflatex.fmt
I can't find the format file `pdflatex.fmt'!
[fm@thinkpad ]$ 

I have the following packages installed.
texlive-2010-3.20100420.fc13.i686
texlive-ae-2010-3.1.4.15878.fc13.noarch
texlive-algorithms-2010-3.0.1.15878.fc13.noarch
texlive-amscls-2010-3.15878.fc13.noarch
texlive-amsfonts-2010-3.3.0.15878.fc13.noarch
texlive-amsfonts-fedora-fonts-2010-3.3.0.15878.fc13.noarch
texlive-amsmath-2010-3.2.13.15878.fc13.noarch
texlive-anysize-2010-3.15878.fc13.noarch
texlive-apalike-2010-3.15878.fc13.noarch
texlive-avantgar-2010-3.15878.fc13.noarch
texlive-avantgar-fedora-fonts-2010-3.15878.fc13.noarch
texlive-babel-2010-3.3.8l.15878.fc13.noarch
texlive-babelbib-2010-3.1.29.15878.fc13.noarch
texlive-beamer-2010-3.3.07.17093.fc13.noarch
texlive-beton-2010-3.15878.fc13.noarch
texlive-bibtex-2010-3.0.99c.16044.fc13.noarch
texlive-bibtex-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-bookman-2010-3.15878.fc13.noarch
texlive-bookman-fedora-fonts-2010-3.15878.fc13.noarch
texlive-booktabs-2010-3.1.61803.15878.fc13.noarch
texlive-caption-2010-3.3.1m.16715.fc13.noarch
texlive-capt-of-2010-3.16813.fc13.noarch
texlive-capt-of-doc-2010-3.16813.fc13.noarch
texlive-carlisle-2010-3.17178.fc13.noarch
texlive-charter-2010-3.15878.fc13.noarch
texlive-charter-fedora-fonts-2010-3.15878.fc13.noarch
texlive-cite-2010-3.5.2.15878.fc13.noarch
texlive-cm-2010-3.15878.fc13.noarch
texlive-cmap-2010-3.1.0h.15878.fc13.noarch
texlive-cmextra-2010-3.14075.fc13.noarch
texlive-cm-super-2010-3.15878.fc13.noarch
texlive-cm-super-fedora-fonts-2010-3.15878.fc13.noarch
texlive-collection-basic-2010-3.17228.fc13.noarch
texlive-collection-documentation-base-2010-3.17091.fc13.noarch
texlive-collection-fontsrecommended-2010-3.16819.fc13.noarch
texlive-collection-latex-2010-3.17133.fc13.noarch
texlive-collection-latexrecommended-2010-3.17134.fc13.noarch
texlive-colortbl-2010-3.v0.1.15878.fc13.noarch
texlive-courier-2010-3.15878.fc13.noarch
texlive-courier-fedora-fonts-2010-3.15878.fc13.noarch
texlive-crop-2010-3.1.5.15878.fc13.noarch
texlive-ctable-2010-3.1.15.15878.fc13.noarch
texlive-dvipdfm-2010-3.0.13.2d.16770.fc13.noarch
texlive-dvipdfm-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-dvipdfmx-2010-3.16044.fc13.noarch
texlive-dvipdfmx-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-dvipdfmx-def-2010-3.15878.fc13.noarch
texlive-dvips-2010-3.17180.fc13.noarch
texlive-dvips-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-ec-2010-3.1.0.15878.fc13.noarch
texlive-eijkhout-2010-3.15878.fc13.noarch
texlive-enctex-2010-3.16881.fc13.noarch
texlive-eso-pic-2010-3.2.0a.16240.fc13.noarch
texlive-etex-2010-3.2.1.16381.fc13.noarch
texlive-etex-pkg-2010-3.2.0.15878.fc13.noarch
texlive-euler-2010-3.2.5.17261.fc13.noarch
texlive-euro-2010-3.1.1.15878.fc13.noarch
texlive-euro-ce-2010-3.15878.fc13.noarch
texlive-eurofont-2010-3.1.1.3.15878.fc13.noarch
texlive-eurosans-2010-3.2.1.17260.fc13.noarch
texlive-eurosym-2010-3.1.4_subrfix.17265.fc13.noarch
texlive-eurosym-fedora-fonts-2010-3.1.4_subrfix.17265.fc13.noarch
texlive-extsizes-2010-3.1.4a.17263.fc13.noarch
texlive-f13-release-2009-0.3.fc12.noarch
texlive-fancybox-2010-3.1.3.15878.fc13.noarch
texlive-fancyhdr-2010-3.3.1.15878.fc13.noarch
texlive-fancyref-2010-3.0.9c.15878.fc13.noarch
texlive-fancyvrb-2010-3.2.7a.16609.fc13.noarch
texlive-fix2col-2010-3.17133.fc13.noarch
texlive-float-2010-3.1.3d.15878.fc13.noarch
texlive-fontspec-2010-3.v1.18.15878.fc13.noarch
texlive-footmisc-2010-3.5.5a.15878.fc13.noarch
texlive-fp-2010-3.15878.fc13.noarch
texlive-fpl-2010-3.1.002.15878.fc13.noarch
texlive-fpl-fedora-fonts-2010-3.1.002.15878.fc13.noarch
texlive-geometry-2010-3.5.3.17466.fc13.noarch
texlive-german-2010-3.2.5e.17039.fc13.noarch
texlive-glyphlist-2010-3.15878.fc13.noarch
texlive-graphics-2010-3.1.0o.17600.fc13.noarch
texlive-gsftopk-2010-3.1.19.2.16044.fc13.noarch
texlive-gsftopk-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-helvetic-2010-3.16767.fc13.noarch
texlive-helvetic-fedora-fonts-2010-3.16767.fc13.noarch
texlive-here-2010-3.16135.fc13.noarch
texlive-hyperref-2010-3.6.80v.17902.fc13.noarch
texlive-hyphen-base-2010-3.17785.fc13.noarch
texlive-hyphen-german-2010-3.31.15667.fc13.noarch
texlive-hyph-utf8-2010-3.17771.fc13.noarch
texlive-ifluatex-2010-3.1.3.17931.fc13.noarch
texlive-ifxetex-2010-3.0.5.15878.fc13.noarch
texlive-index-2010-3.4.1beta.15878.fc13.noarch
texlive-jknapltx-2010-3.16236.fc13.noarch
texlive-koma-script-2010-3.3.05.17067.fc13.noarch
texlive-kpathsea-2010-3.17541.fc13.noarch
texlive-kpathsea-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-kpathsea-lib-2010-3.20100420.fc13.i686
texlive-latex-2010-3.16172.fc13.noarch
texlive-latex-bin-2010-3.16044.fc13.noarch
texlive-latex-bin-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-latexconfig-2010-3.15893.fc13.noarch
texlive-latex-fonts-2010-3.15207.fc13.noarch
texlive-lipsum-2010-3.v1.0.15878.fc13.noarch
texlive-listings-2010-3.1.4.15878.fc13.noarch
texlive-lm-2010-3.2.004.15938.fc13.noarch
texlive-lm-fedora-fonts-2010-3.2.004.15938.fc13.noarch
texlive-ltxmisc-2010-3.17524.fc13.noarch
texlive-lua-alt-getopt-2010-3.0.7.0.17228.fc13.noarch
texlive-luatex-2010-3.0.2.16044.fc13.noarch
texlive-luatex-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-makeindex-2010-3.2.12.16044.fc13.noarch
texlive-makeindex-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-marvosym-2010-3.2.1.15878.fc13.noarch
texlive-marvosym-fedora-fonts-2010-3.2.1.15878.fc13.noarch
texlive-mathpazo-2010-3.1.003.15878.fc13.noarch
texlive-mathpazo-fedora-fonts-2010-3.1.003.15878.fc13.noarch
texlive-mdwtools-2010-3.1.05.4.15878.fc13.noarch
texlive-memoir-2010-3.1.618033988c_patch_6.0f.17927.fc13.noarch
texlive-metafont-2010-3.2.718281.16044.fc13.noarch
texlive-metafont-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-metalogo-2010-3.0.10.15878.fc13.noarch
texlive-mflogo-2010-3.17487.fc13.noarch
texlive-mflogo-fedora-fonts-2010-3.17487.fc13.noarch
texlive-mfnfss-2010-3.15878.fc13.noarch
texlive-mfware-2010-3.16392.fc13.noarch
texlive-mfware-bin-2010-3.20100420.fc13.16392.fc13.i686
texlive-microtype-2010-3.2.4.16687.fc13.noarch
texlive-misc-2010-3.17497.fc13.noarch
texlive-moderncv-2010-3.0.7.15878.fc13.noarch
texlive-ms-2010-3.16596.fc13.noarch
texlive-multido-2010-3.1.41.15878.fc13.noarch
texlive-natbib-2010-3.8.31a.16643.fc13.noarch
texlive-ncntrsbk-2010-3.15878.fc13.noarch
texlive-ncntrsbk-fedora-fonts-2010-3.15878.fc13.noarch
texlive-ntgclass-2010-3.15878.fc13.noarch
texlive-oberdiek-2010-3.17931.fc13.noarch
texlive-palatino-2010-3.15878.fc13.noarch
texlive-palatino-fedora-fonts-2010-3.15878.fc13.noarch
texlive-parallel-2010-3.15878.fc13.noarch
texlive-pdfpages-2010-3.0.4j.16690.fc13.noarch
texlive-pdftex-2010-3.1.40.10.16770.fc13.noarch
texlive-pdftex-bin-2010-3.20100420.fc13.16392.fc13.i686
texlive-pdftex-def-2010-3.0.04n.17023.fc13.noarch
texlive-pgf-2010-3.2.00.15878.fc13.noarch
texlive-plain-2010-3.3.141592653.15878.fc13.noarch
texlive-powerdot-2010-3.1.3.17345.fc13.noarch
texlive-psfrag-2010-3.3.04.15878.fc13.noarch
texlive-pslatex-2010-3.16416.fc13.noarch
texlive-psnfss-2010-3.9.2a.15878.fc13.noarch
texlive-pspicture-2010-3.15878.fc13.noarch
texlive-pst-3d-2010-3.1.10.17257.fc13.noarch
texlive-pst-blur-2010-3.2.0.15878.fc13.noarch
texlive-pst-coil-2010-3.1.03.16895.fc13.noarch
texlive-pst-eps-2010-3.1.0.15878.fc13.noarch
texlive-pst-fill-2010-3.1.01.15878.fc13.noarch
texlive-pst-grad-2010-3.1.06.15878.fc13.noarch
texlive-pst-node-2010-3.1.10.17128.fc13.noarch
texlive-pst-plot-2010-3.1.13.17899.fc13.noarch
texlive-pstricks-2010-3.2.02.17522.fc13.noarch
texlive-pstricks-add-2010-3.3.39.17722.fc13.noarch
texlive-pst-slpe-2010-3.1.3.15878.fc13.noarch
texlive-pst-text-2010-3.1.00.15878.fc13.noarch
texlive-pst-tree-2010-3.1.11.15878.fc13.noarch
texlive-pxfonts-2010-3.15878.fc13.noarch
texlive-pxfonts-fedora-fonts-2010-3.15878.fc13.noarch
texlive-qstest-2010-3.15878.fc13.noarch
texlive-rcs-2010-3.15878.fc13.noarch
texlive-rotating-2010-3.2.16b.16832.fc13.noarch
texlive-rsfs-2010-3.15878.fc13.noarch
texlive-rsfs-fedora-fonts-2010-3.15878.fc13.noarch
texlive-sauerj-2010-3.15878.fc13.noarch
texlive-scheme-basic-2010-3.17228.fc13.noarch
texlive-seminar-2010-3.1.5.15878.fc13.noarch
texlive-setspace-2010-3.6.7.15878.fc13.noarch
texlive-soul-2010-3.2.4.15878.fc13.noarch
texlive-subfig-2010-3.1.3.15878.fc13.noarch
texlive-subfigure-2010-3.2.1.5.15878.fc13.noarch
texlive-supp-pdf-2010-3.15878.fc13.noarch
texlive-symbol-2010-3.15878.fc13.noarch
texlive-symbol-fedora-fonts-2010-3.15878.fc13.noarch
texlive-tcdialog-2010-3.16044.fc13.noarch
texlive-tcdialog-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-tetex-2010-3.3.0.16770.fc13.noarch
texlive-tetex-bin-2010-3.20100420.fc13.16487.fc13.i686
texlive-tex-2010-3.3.1415926.16044.fc13.noarch
texlive-tex-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-texconfig-2010-3.16860.fc13.noarch
texlive-texconfig-bin-2010-3.20100420.fc13.16860.fc13.i686
texlive-tex-gyre-2010-3.2.004.15939.fc13.noarch
texlive-tex-gyre-fedora-fonts-2010-3.2.004.15939.fc13.noarch
texlive-texlive-common-doc-2010-3.17091.fc13.noarch
texlive-texlive-en-doc-2010-3.15990.fc13.noarch
texlive-texlive.infra-2010-3.17611.fc13.noarch
texlive-texlive.infra-bin-2010-3.20100420.fc13.17447.fc13.i686
texlive-texlive-msg-translations-2010-3.17919.fc13.noarch
texlive-texlive-scripts-2010-3.17607.fc13.noarch
texlive-texlive-scripts-bin-2010-3.20100420.fc13.17447.fc13.i686
texlive-textpos-2010-3.1.7f.16217.fc13.noarch
texlive-thumbpdf-2010-3.3.10.16044.fc13.noarch
texlive-thumbpdf-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-times-2010-3.15878.fc13.noarch
texlive-times-fedora-fonts-2010-3.15878.fc13.noarch
texlive-tipa-2010-3.1.3.15878.fc13.noarch
texlive-tipa-fedora-fonts-2010-3.1.3.15878.fc13.noarch
texlive-tools-2010-3.15878.fc13.noarch
texlive-translator-2010-3.1.00.15878.fc13.noarch
texlive-txfonts-2010-3.15878.fc13.noarch
texlive-txfonts-fedora-fonts-2010-3.15878.fc13.noarch
texlive-type1cm-2010-3.15878.fc13.noarch
texlive-typehtml-2010-3.17134.fc13.noarch
texlive-url-2010-3.3.2.16864.fc13.noarch
texlive-utopia-2010-3.15878.fc13.noarch
texlive-utopia-fedora-fonts-2010-3.15878.fc13.noarch
texlive-wasy-2010-3.15878.fc13.noarch
texlive-wasy-fedora-fonts-2010-3.15878.fc13.noarch
texlive-wasysym-2010-3.2.0.15878.fc13.noarch
texlive-xcolor-2010-3.2.11.15878.fc13.noarch
texlive-xdvi-2010-3.22.84.16.16044.fc13.noarch
texlive-xdvi-bin-2010-3.20100420.fc13.16044.fc13.i686
texlive-xkeyval-2010-3.2.6a.15878.fc13.noarch
texlive-zapfchan-2010-3.15878.fc13.noarch
texlive-zapfchan-fedora-fonts-2010-3.15878.fc13.noarch
texlive-zapfding-2010-3.15878.fc13.noarch
texlive-zapfding-fedora-fonts-2010-3.15878.fc13.noarch
Comment 113 Jindrich Novy 2010-04-21 03:45:59 EDT
Have you upgraded from an older package set than 29th Mar?
Comment 114 Felix Möller 2010-04-21 03:54:37 EDT
You are probably hinting at bug #578426.

I have installed my system from scratch 10 days ago. Since then I have updated at least every second day.

The package cannot be older then 29th Mar.

I have run all kinds of texhash and fmutil commands but they did not help yet.

Is there an easy way to store the installed texlive packages and feed yum afterwards with that list to reinstall all of mine?
Comment 115 Susi Lehtola 2010-04-22 06:47:28 EDT
I don't think the installation has speeded up one bit.

Granted, on my Fedora 12 desktop (Atom 330 @1.6GHz), the full installation of the packages only took about an hour, but the post install section has now been churning for 15 hours straight.

I think that now it actually may be *slower* than before, since if you ran things in the old system in the %post section, the amount of packages installed was a lot smaller for most packages.

Mathematically, the amount of operations in the old system was
 \sum_{i=1}^N i = N(N+1)/2
(go through all the packages installed before the one that is being processed), while now it is just N^2 (go through all the N packages N times), so the difference is N(N-1)/2.

At least this is what I think, judging from what the system is doing. I see that there is the whole time a luatex, pdftex or kpsewhich process running on the system. Maybe rpm just isn't wise enough to run the commands only once?
Comment 116 Jindrich Novy 2010-04-22 10:14:54 EDT
The new packages have just landed in the repo. They contain fixed to the %post/%postun/%posttrans scriptlets. The former version of packages had a bug that texhash is not run in all required cases what could cause the known problem with wrong regeneration of .fmt files.

The new packages also contain new dependencies figured from .cls (class) and .ldf files. So it will be less likely that you would miss some style file if you install some package after upgrade.

For all these reasons another reinstall of texlive will be needed :-/ So please be patient with it and do the following:

# rpm -qa | grep texlive | xargs rpm -e
# rpm -i http://jnovy.fedorapeople.org/texlive/texlive-f13-release-2009-0.3.fc12.noarch.rpm
# yum install texlive

(if you have f13)
Comment 117 Jindrich Novy 2010-04-22 10:29:28 EDT
(In reply to comment #115)
> I don't think the installation has speeded up one bit.
> 
> Granted, on my Fedora 12 desktop (Atom 330 @1.6GHz), the full installation of
> the packages only took about an hour, but the post install section has now been
> churning for 15 hours straight.

This could be caused by the fact that rpm ran %postun/%posttrans scriptlets from the old (previously installed - unfixed) packages.

> Mathematically, the amount of operations in the old system was
>  \sum_{i=1}^N i = N(N+1)/2
> (go through all the packages installed before the one that is being processed),
> while now it is just N^2 (go through all the N packages N times), so the
> difference is N(N-1)/2.

Same as above, it is caused by running %post* scriptlets from old packages. Because of it I recommended to remove the texlive from the system before update.

> At least this is what I think, judging from what the system is doing. I see
> that there is the whole time a luatex, pdftex or kpsewhich process running on
> the system. Maybe rpm just isn't wise enough to run the commands only once?    

To check this I've installed basic "yum install texlive" installation and replaced updmap, fmtutil and texhash to simple scripts like:

#!/bin/sh
echo "texhash" >> /tmp/texhash

in order to figure out how many times they are called. Then I executed a complete "yum install texlive-scheme-full" installation. The results are that updmap, fmtutil and texhash is really run only once after the transaction.

Then I removed the texlive installation completely and saw that:

fmtutil is called 19 times
updmap is called 108 times
and texhash is called 1650 times.

This is all expected and unavoidable because rpm runs %posttrans scriptlets only in case of install/update but not on remove. So the uninstallation has to remain slow.

If you are interested, this is like the (generated) %post scriptlets currently look like:
(sample from texlive-texsis)

%post
touch /tmp/texlive-run-texhash
sed -i 's/^\#\!\ texsis/texsis pdftex - -translate-file=cp227.tcx texsis.ini/' %{_texdir}/texmf/web2c/fmtutil.cnf
touch /tmp/texlive-run-fmtutil
:

%postun
sed -i 's/^texsis/\#\!\ texsis/' %{_texdir}/texmf/web2c/fmtutil.cnf
if [ $1 == 1 ]; then
  touch /tmp/texlive-run-texhash
  touch /tmp/texlive-run-fmtutil
else
  %{_bindir}/texhash 2> /dev/null
  %{_bindir}/fmtutil-sys --missing &> /dev/null
fi
:

%posttrans
[ -e /tmp/texlive-run-texhash ] && %{_bindir}/texhash 2> /dev/null && rm -f /tmp/texlive-run-texhash
[ -e /tmp/texlive-run-fmtutil ] && %{_bindir}/fmtutil-sys --missing &> /dev/null && rm -f /tmp/texlive-run-fmtutil
:
Comment 118 Susi Lehtola 2010-04-22 11:01:48 EDT
(In reply to comment #117)
> > Granted, on my Fedora 12 desktop (Atom 330 @1.6GHz), the full installation of
> > the packages only took about an hour, but the post install section has now been
> > churning for 15 hours straight.
> 
> This could be caused by the fact that rpm ran %postun/%posttrans scriptlets
> from the old (previously installed - unfixed) packages.

No, it was a clean install, I had removed the old packages first (since I experienced bug #578426).
Comment 119 Jindrich Novy 2010-04-22 11:12:17 EDT
(In reply to comment #118)
> No, it was a clean install, I had removed the old packages first (since I
> experienced bug #578426).    

Strange, could you please try the new packages?
Comment 120 Susi Lehtola 2010-04-22 14:50:10 EDT
OK, the new packages install *a lot* faster. I didn't time the finishing operation (and it doesn't show in the log), but it took less than an hour, compared to the ~20 hours it took before.
Comment 121 Jindrich Novy 2010-04-23 08:11:14 EDT
Fedora 11 and Fedora 12 users, please see bug #585152. You may see errors while uninstalling packages caused by the fact that yum/rpm in F11/F12 doesn't properly order packages for erasure. There are no problems on F13.
Comment 122 Jan "Yenya" Kasprzak 2010-04-23 10:56:07 EDT
I have just upgraded to texlive-2010-4.20100421.fc12.x86_64 (it took about an hour), and all the .fmt files seem to be missing. They are even commented out in fmtutil-sys --edit. After uncommenting xelatex and running "fmtutil-sys --all" xelatex seems to work. In /var/lib/texmf I have found also jadetex.fmt, pdfjadetex.fmt, latex.fmt, and pdflatex.fmt, even though they are not explicitly enabled in "fmtutil-sys --edit". There is e.g. no (plain) tex.fmt.

Also, mktexfmt apparently does not work:

# tex testfont
This is TeX, Version 3.1415926 (Web2C 2010/dev)

kpathsea: Running mktexfmt tex.fmt
I can't find the format file `tex.fmt'!
# mktexfmt tex.fmt
# echo $?
0
#

(but no tex.fmt file is generated)
Comment 123 Matthew Saltzman 2010-04-23 11:06:42 EDT
(In reply to comment #122)
> I have just upgraded to texlive-2010-4.20100421.fc12.x86_64 (it took about an
> hour), and all the .fmt files seem to be missing. They are even commented out
> in fmtutil-sys --edit. After uncommenting xelatex and running "fmtutil-sys
> --all" xelatex seems to work. In /var/lib/texmf I have found also jadetex.fmt,
> pdfjadetex.fmt, latex.fmt, and pdflatex.fmt, even though they are not
> explicitly enabled in "fmtutil-sys --edit". There is e.g. no (plain) tex.fmt.
> 
> Also, mktexfmt apparently does not work:
> 
> # tex testfont
> This is TeX, Version 3.1415926 (Web2C 2010/dev)
> 
> kpathsea: Running mktexfmt tex.fmt
> I can't find the format file `tex.fmt'!
> # mktexfmt tex.fmt
> # echo $?
> 0
> #
> 
> (but no tex.fmt file is generated)    

Remove and reinstall all texlive packages, as described in comment 116.

We can all hope this is the last time a full remove/reinstall will be needed.
Comment 124 Susi Lehtola 2010-04-23 11:09:01 EDT
I think I also had the same kind of problem after a full remove/reinstall, but running
 $ rm -rf ~/.texlive2009
fixed it.
Comment 125 Jindrich Novy 2010-04-23 12:50:18 EDT
Please note that it is caused by the missing erasure ordering in rpm older than 4.8.0 (Fedora 11, 12). So from this point of view it is actually unfixable on TeX Live side.

If I fail to find a suitable workaround, the complete reinstall will be needed every time you plan to update texlive on Fedora 11 or 12.
Comment 126 ajs 2010-04-26 16:42:50 EDT
Created attachment 409286 [details]
test that shows the font problem with lualatex vs. pdflatex

Since upgrading to texlive-2010-4.20100421.fc12.x86_64 I have had problems with the display of fonts in .pdfs generated by LuaLaTeX.

When I use LuaLaTeX, the resulting .pdf does not point to the fonts used by the .pdf file.  Running the same file through pdflatex is no problem.

Attached is a LaTeX file, Makefile and the output of a test that compares the output of LuaLaTex relatve to pdflatex.  Both evince and acroread can not find the fonts needed to display the file properly.
Comment 127 Felix Möller 2010-04-26 17:02:17 EDT
Hi ajs,

I tried to reproduce your problem, but I get a crash dump for it. :-(
[fm@thinkpad tmp]$ gdb --args lualatex lualatex_bug/lualatex_bug-lualatex.tex 
GNU gdb (GDB) Fedora (7.1-14.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/lualatex...(no debugging symbols found)...done.
(gdb) r
Starting program: /usr/bin/lualatex lualatex_bug/lualatex_bug-lualatex.tex
This is LuaTeX, Version beta-0.60.1-2010042207 (rev 3634) 
(./lualatex_bug/lualatex_bug-lualatex.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, loaded.
(/usr/share/texlive/texmf-dist/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/size10.clo))
(./lualatex_bug-lualatex.aux) [1{/usr/share/texlive/texmf-config/fonts/map/pdft
ex/updmap/pdftex.map}
Program received signal SIGSEGV, Segmentation fault.
0x0810c682 in pdf_place_glyph ()
Missing separate debuginfos, use: debuginfo-install texlive-latex-bin-bin-2010-4.20100421.fc13.16044.fc13.i686
(gdb) bt
#0  0x0810c682 in pdf_place_glyph ()
#1  0x0810f7f6 in hlist_out ()
#2  0x0810e53b in vlist_out ()
#3  0x0810e78a in vlist_out ()
#4  0x0810e78a in vlist_out ()
#5  0x0807d0d0 in ship_out ()
#6  0x081178b9 in box_end ()
#7  0x08117060 in handle_right_brace ()
#8  0x0811a265 in main_control ()
#9  0x080a1780 in main_body ()
#10 0x0806ad61 in main ()
Comment 128 Susi Lehtola 2010-04-26 17:04:56 EDT
By the way, what has happened to a4wide.sty? I can't find it in the TL2010 packages..
Comment 129 Jindrich Novy 2010-04-28 05:36:22 EDT
The repository is now updated with new packages. The lua(la)tex problem should be fixed now. It was likely that TeX Live upstream was simply in the middle of luatex modifications and I grabbed the sources just in an unstable state.

The test case you provided works fine for me with the latest version of packages.

Jussi, a4wide package was removed to avoid legal problems because there are no information about its license. Jean-François Lamy and Alexander Holt are a4wide authors but I failed to find any further references to them to clarify the license...
Comment 130 Felix Möller 2010-04-28 05:56:31 EDT
I did a little google search and according to http://tug.ctan.org/cgi-bin/ctanPackageInformation.py?id=a4wide Alexander Holt is still active.

Valid addresses could be at http://www.inf.ed.ac.uk/systems/tex/examples.txt or http://gnu.cs.utah.edu/auctex/ChangeLog. 

Looking at http://www.ed.ac.uk/search/staff-results?name=alexander+holt the last address seems to be correct.

It might be worth contacting him, as even I have used that package and it is just a few lines of code ...

@Jindrich: can you do that?
Comment 131 Jindrich Novy 2010-04-28 08:07:57 EDT
Yup, I just sent an email. Thanks for the references.
Comment 132 Mary Ellen Foster 2010-04-28 08:45:53 EDT
NB: I worked in the University of Edinburgh School of Informatics until about six months ago, and I don't think Lex Holt has been there for a while. As far as I can tell from circumstantial evidence, though, this is probably him:
    http://www.fixedpoint.org/lex/
Comment 133 Jindrich Novy 2010-04-30 11:10:50 EDT
There are new packages in the repository again. The main improvement is bbx/cbx biblatex dependencies (bug #583637) so all dependencies should be satisfied when installing any of the texlive-biblatex* packages. The new packages yet contain another scriptlets fix.

Because of that a reinstallation will be needed again if you wish to update (including Fedora 13). So in a nutshell:

# rpm -qa | grep texlive | grep -v release | xargs rpm -e
# yum install texlive

I still haven't heard from Alex Holt even though I mailed the license clarification request to the mail Mary requested as well. So a4wide still remains excluded.
Comment 134 ajs 2010-05-03 12:15:09 EDT
(In reply to comment #129)
> The repository is now updated with new packages. The lua(la)tex problem should
> be fixed now. It was likely that TeX Live upstream was simply in the middle of
> luatex modifications and I grabbed the sources just in an unstable state.
> 
> The test case you provided works fine for me with the latest version of
> packages.
> 
> Jussi, a4wide package was removed to avoid legal problems because there are no
> information about its license. Jean-François Lamy and Alexander Holt are a4wide
> authors but I failed to find any further references to them to clarify the
> license...    

Yes, the lua(la)tex problem is now solved.
Comment 135 Felix Möller 2010-05-05 13:00:46 EDT
btw. I just had a look at my texlive installation again.

Most svn packages seem to have the string svn in the version.
libdvdread-4.1.4-0.2.svn1188.fc13.i686
libdvdnav-4.1.4-0.1.svn1184.fc12.i686
webkitpart-0.0.5-0.2.svn1088283.fc13.i686

Furthermore if I am not mistaken, you take for every package the last _changed_ revision for every single package. Does this make sense because I now have to search for the biggest number to know at what time the checkout was done.

Just two ideas, they are certainly not major. I just did the reinstall as mentioned in comment #133 and hopefully can keep the installation now ...
Comment 136 Susi Lehtola 2010-05-05 16:07:54 EDT
(In reply to comment #135)
> Most svn packages seem to have the string svn in the version.
> libdvdread-4.1.4-0.2.svn1188.fc13.i686
> libdvdnav-4.1.4-0.1.svn1184.fc12.i686
> webkitpart-0.0.5-0.2.svn1088283.fc13.i686

Yes, this should be so as per the Naming Guidelines (so there is a bug in the current revisioning scheme as TL 2010 doesn't seem to be released, yet):

fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages

For now, I don't think there's any point in changing the release naming, since that would require either a) the introduction of an Epoch or b) the removal and reinstall of all texlive packages. Of course, if Jindrich introduces another change that will break things once again, he can make the versioning change at the same moment.

Or one could just wait until the moment the new texlive packages are imported in Fedora; then I wouldn't mind reinstalling everything once again.

> Furthermore if I am not mistaken, you take for every package the last _changed_
> revision for every single package. Does this make sense because I now have to
> search for the biggest number to know at what time the checkout was done.

Yes, it does, since if nothing has changed in a package there's really no sense in downloading a new revision (even if just a drpm), not to mention installing it...
Comment 137 Felix Möller 2010-05-05 19:30:07 EDT
(In reply to comment #136)
> (In reply to comment #135)
> > Furthermore if I am not mistaken, you take for every package the last _changed_
> > revision for every single package. Does this make sense because I now have to
> > search for the biggest number to know at what time the checkout was done.
> 
> Yes, it does, since if nothing has changed in a package there's really no sense
> in downloading a new revision (even if just a drpm), not to mention installing
> it...
I think I read somewhere that the Fedora infrastructure cannot cope with that and all packages coming from the same src.rpm have to be uploaded. And bodhi or whatever does not allow reusing an existing version. But this is certainly OT here, just wanted to mention it.


I think I found another bug in the packages:
Installing texlive-hyphen-german-2010-5.31.15667.fc13.noarch I had to run fmtutil-sys --all to get my hyphenation patterns working. They were attached to /usr/share/texlive/texmf/tex/generic/config/language.dat just fine.
Comment 138 Jindrich Novy 2010-05-06 05:53:58 EDT
Felix, thanks for investigation. The bug related to the missing fmtutil call in case of adding hyphenation patterns is now fixed. The fix will appear in the next repo update.

There shouldn't be a problem to add the svn prefix to conform to Fedora guidelines. Furthermore it is not a bad idea to keep the svn + revision number in package NVR even after TL2010 is officially released because the most of packages are developed independently and the revision number would be helpful to track exact version of each package.

I will not update the repository for about two weeks from now to settle things down a bit and to let you use TeX Live from the repository which is now in a good shape.

In any case feel free to report problems :)
Comment 139 Jindrich Novy 2010-05-24 08:09:52 EDT
Repository is now updated to latest packages found in the "tlnet" branch as of 23rd May which are now frozen:

http://www.tug.org/pipermail/tex-live/2010-May/025714.html

The new packages are named like:

texlive-2010-[package version].svn[revision].[dist]

There was a bug in the previous naming that you could see weirdly named packages like texlive-xdvi-2010.fc13.16044.fc13. It is now fixed. There are no drpms created this time again. I suggest removing all packages and installing again to ensure correct update path because of package naming change.

I'm not sure whether I should switch to the "tlpretest" branch in the next updates so I asked Karl Berry. If so, a next update will come soon.

As usual, feel free to ask if you see any problems.
Comment 140 Felix Möller 2010-05-24 08:52:24 EDT
(In reply to comment #139)
> I suggest removing all packages and installing
> again to ensure correct update path because of package naming change.
I just got the announcement by the gpk-update-viewer that there are updates available and they updated perfectly by just clicking ok for me. So I think on installations with already alot of non standard texlive packages installed, this might be worth trying.

Thanks a lot for your work Jindrich!
Comment 141 Jan "Yenya" Kasprzak 2010-05-26 23:52:52 EDT
I have installed F13, texlive-f13-release-2009-0.3.fc12.noarch, updated texlive, and on one of my system locally added postscript fonts do not work: I have created a .map file, ran updmap-sys --enable Map=myfonts.map, but apparently the contents of the map file is being added only to the

/usr/share/texlive/texmf-var/fonts/map/dvips/updmap/psfonts.map

file, which dvips nor gsftopk reads. According to strace, they read the file

/usr/share/texlive/texmf-config/fonts/map/dvips/updmap/psfonts.map

which is not updated by the above updmap-sys command. Where did I make a mistake?

Anyway, thanks for packaging this, Jindrich!
Comment 142 Vedran Miletić 2010-05-29 06:14:34 EDT
Jindrich, shouldn't some context package depend on Lua and Ruby?
Comment 143 Guillaume Bernard 2010-05-30 06:50:54 EDT
I try to reinstall texlive-2010 after the last update. But it looks like some packages are missing in the repository.

# yum install texlive-2010
Loaded plugins: fastestmirror, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: ftp.esat.net
 * rpmfusion-free: mirror.switch.ch
 * rpmfusion-free-updates: mirror.switch.ch
 * rpmfusion-nonfree: mirror.switch.ch
 * rpmfusion-nonfree-updates: mirror.switch.ch
 * updates: ftp.belnet.be
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package texlive.x86_64 0:2010-6.20100528.fc13 set to be updated
--> Processing Dependency: texlive-tetex for package: texlive-2010-6.20100528.fc13.x86_64
--> Processing Dependency: texlive-scheme-basic for package: texlive-2010-6.20100528.fc13.x86_64
--> Processing Dependency: texlive-collection-latexrecommended for package: texlive-2010-6.20100528.fc13.x86_64
--> Processing Dependency: texlive-kpathsea for package: texlive-2010-6.20100528.fc13.x86_64
--> Running transaction check
---> Package texlive.x86_64 0:2010-6.20100528.fc13 set to be updated
--> Processing Dependency: texlive-scheme-basic for package: texlive-2010-6.20100528.fc13.x86_64
--> Processing Dependency: texlive-collection-latexrecommended for package: texlive-2010-6.20100528.fc13.x86_64
---> Package texlive-kpathsea.noarch 0:2010-6.svn18479.fc13 set to be updated
--> Processing Dependency: texlive-kpathsea-bin = 2010 for package: texlive-kpathsea-2010-6.svn18479.fc13.noarch
--> Processing Dependency: texlive-kpathsea-bin = 2010 for package: texlive-kpathsea-2010-6.svn18479.fc13.noarch
---> Package texlive-tetex.noarch 0:2010-6.3.0.svn18475.fc13 set to be updated
--> Processing Dependency: texlive-tetex-bin = 2010 for package: texlive-tetex-2010-6.3.0.svn18475.fc13.noarch
--> Running transaction check
---> Package texlive.x86_64 0:2010-6.20100528.fc13 set to be updated
--> Processing Dependency: texlive-scheme-basic for package: texlive-2010-6.20100528.fc13.x86_64
--> Processing Dependency: texlive-collection-latexrecommended for package: texlive-2010-6.20100528.fc13.x86_64
---> Package texlive-kpathsea-bin.x86_64 0:2010-6.20100528.svn18336.fc13 set to be updated
--> Processing Dependency: libkpathsea.so.6()(64bit) for package: texlive-kpathsea-bin-2010-6.20100528.svn18336.fc13.x86_64
---> Package texlive-tetex-bin.x86_64 0:2010-6.20100528.svn18336.fc13 set to be updated
--> Running transaction check
---> Package texlive.x86_64 0:2010-6.20100528.fc13 set to be updated
--> Processing Dependency: texlive-scheme-basic for package: texlive-2010-6.20100528.fc13.x86_64
--> Processing Dependency: texlive-collection-latexrecommended for package: texlive-2010-6.20100528.fc13.x86_64
---> Package texlive-kpathsea-lib.x86_64 0:2010-6.20100528.fc13 set to be updated
--> Finished Dependency Resolution
Error: Package: texlive-2010-6.20100528.fc13.x86_64 (texlive)
           Requires: texlive-collection-latexrecommended
Error: Package: texlive-2010-6.20100528.fc13.x86_64 (texlive)
           Requires: texlive-scheme-basic
 You could try using --skip-broken to work around the problem
Comment 144 Jindrich Novy 2010-05-31 14:58:06 EDT
The repository is now populated with new "tlpretest" packages. The current version contains many improvements such as ptex. I modified the dependency generator to automatically pull in Lua and Ruby packages when needed as Vedran proposed. The repository should be in consistent state so you shouldn't see missing packages as Guillaume noticed (it was caused by missing noarch.rpm packages from the binary texlive).

Jan, could you try again with the current version of packages? Also please double-check the texmf.cnf settings.
Comment 145 Vedran Miletić 2010-06-03 08:05:56 EDT
Thanks, looks good now, at least in theory.

For some reason context still doesn't work, but that's (or better, used to be) TL problem that was fixed in latest context update in tlpretest. Can you resync everything again when you find time?
Comment 146 Jan "Yenya" Kasprzak 2010-06-03 17:14:15 EDT
Re: comment #144

I have installed a clean Fedora 13 on a virtual system, installed texlive-f13-release-2009-0.13.12.noarch, yum-installed all required TeXlive packages, installed my fonts, ran updmap-sys --enable Map=myfonts.map, and neither dvips or xdvi can see the fonts in myfonts.map. After running updmap (without -sys), it works correctly (but obviously for one user only).

Another minor issue: may I suggest using a non-public directory instead of /tmp for things like /tmp/texlive-run-texhash etc.? It is probably a minor security hole. I think using /var/run or something like that would be better.
Comment 147 Jan "Yenya" Kasprzak 2010-06-04 08:21:50 EDT
Another problem with the new texlive: the old version (e.g. the F11 one) can generate arbitrary CM fonts via mktexmf.

Try "tex testfont", and enter "cmbxti11" or "cmex5" - in F11 the .mf file gets generated and is processed by Metafont, resulting in correct .tfm file. In the new texlive from your repo it simply fails.

I need this feature to be able to process some of my older documents.
Comment 148 Vedran Miletić 2010-06-07 06:27:09 EDT
Jindrich, just wondering: how does this system handle packages that get removed from CTAN and eventually from TL? Does it automatically remove RPMs somehow?
Comment 149 Jindrich Novy 2010-06-07 08:24:03 EDT
Hi Jan,

(In reply to comment #146)
> I have installed a clean Fedora 13 on a virtual system, installed
> texlive-f13-release-2009-0.13.12.noarch, yum-installed all required TeXlive
> packages, installed my fonts, ran updmap-sys --enable Map=myfonts.map, and
> neither dvips or xdvi can see the fonts in myfonts.map. After running updmap
> (without -sys), it works correctly (but obviously for one user only).

Are you sure that myfonts.map are not declared as MixedMap in system updmap.cfg? In that case you need to "updmap-sys --enable MixedMap myfonts.map". Addition/disablement of an existing map such as "updmap-sys --disable cm.map" works for me system-wide with the latest packages.

> Another minor issue: may I suggest using a non-public directory instead of /tmp
> for things like /tmp/texlive-run-texhash etc.? It is probably a minor security
> hole. I think using /var/run or something like that would be better.    

Good point. /var/run is indeed better to avoid clashes with other files in /tmp.
Comment 150 Jindrich Novy 2010-06-07 08:51:02 EDT
Vedran, the addition and removal of new packages constantly happens in the TeX Live upstream while the obsoletion of the old ones are simply ignored (at least in the upstream metadata). I'm not adding Obsoletes in the new packages in order to avoid dependency hell and because it is not clearly defined which package is obsoleted by another.

That implies that form time to time you may end up with leaf texlive packages. To find out such packages I suggest the "rpmreaper" utility which easily detects them and allows you to remove them.

The plan is to import TeX Live packages 2010 packages at the time of the final release and then the package set will be frozen for the current rawhide and Fedora release which comes out of it.

Jan, in addition to the "cmbxti11" or "cmex5" fonts, they simply are not shipped in upstream and only "cmbxti10" "cmex10" are present. I don't know what happened to the ones you mentioned but I'd definitely suggest to ask upstream at tex-live@tug.org.
Comment 151 Alexei Podtelezhnikov 2010-06-08 10:15:50 EDT
150 comments, huh? As a reporter, I cannot even remove myself from Cc.

Create a proper mailing list, would you?
Comment 152 Jan "Yenya" Kasprzak 2010-06-15 14:57:31 EDT
Re: comment #150

Jindrich, cmbxti11 and cmex5 are indeed not shipped in upstream. The point is that in previous versions of TeXlive, mktexmf has been able to create the {cmbxti11,cmex5}.mf files (which would subsequently be processed by Metafont). In the new TeXlive, mktexmf is no longer being called.
Comment 153 Vedran Miletić 2010-07-06 06:43:53 EDT
Jindrich, are there any news on this? Or do you plan to wait for TL2010 to be released, and then do a massive update?
Comment 154 Jindrich Novy 2010-07-07 14:54:00 EDT
I just updated the repositories to today's state (7th Jul). I was not too verbose lately in order to minimize spam here and because I think creating a mailing list now is useless as the TL2010 release is imminent.

Major changes in packaging is that scriptlets no more use trigger files in /tmp but in /var/run/texlive. Another compile level change is that binaries are now compiled with -fno-strict-aliasing gcc option. dvisvgm is no more packaged after discussion with Fedora dvisvgm maintainer and TeX Live packages are now dependent on the Fedora one. New binary (mptopdf) is introduced.

Another major modification is that F11 repo doesn't exist any more (F11 is now EOL) and F14 (rawhide) repo is added. If you want to give it a try, please install:

rpm -i http://jnovy.fedorapeople.org/texlive/texlive-f14-release-2009-0.4.fc13.noarch.rpm

Note that this is the most important repository for testing as packages from there are to be imported to rawhide.

If you see any problems please report them to me directly (jnovy@redhat.com).

Thanks!
Comment 155 Jindrich Novy 2010-07-20 04:06:09 EDT
The repositories are now updated once again, likely for the last time. The source base for TeX Live binaries is frozen for some time already so binaries should be final with an exception of critical fixes which may happen to occur:

http://tug.org/pipermail/tex-live/2010-July/026512.html

The major change in this update is that the main "texlive" arch dependent package is replaced by noarch "texlive-base" package containing directory hierarchy and essential %posttrans scriptlet.

There is another improvement from the legal POV which is that "texlive-base" now contains all TeX Live license texts and every package shipped in the repository now contains a symlink to a valid license text as a documentation. Thus every package is dependent on "texlive-base".

The release date of TeX Live 2010 image is estimated to 22 July according to Karl. I'm out for holidays 22 July - 13 Aug so an effort to import TeX Live into Fedora will go on after 13th Aug.
Comment 156 Phil V 2010-07-23 17:26:46 EDT
Thank you Jindrich on behalf of the scientific community (many of whom rely on LaTeX for writing our papers) for taking the lead on this!

This looks like it is working for me!
Comment 157 Phil V 2010-07-23 17:30:05 EDT
Advice for Newcomers wanting TeXLive 2010 in Fedora 13:
======================================================  
 (Can anyone comment on whether step 0 is necessary?)


0. Remove all packages providing TeX  (I'm not sure this is necessary!)

1. rpm -i http://jnovy.fedorapeople.org/texlive/texlive-f14-release-2009-0.4.fc13.noarch.rpm

2. yum clean all

3. yum install texlive

If you do not 'yum clean all', yum may report various dependency errors.


-- Hope that helps!
Comment 158 Felix Möller 2010-07-28 09:08:51 EDT
Tex Live 2010 does not work on Fedora 14 anymore.

The packages still require libpoppler.so.5 but current rawhide just has libpoppler.so.6.

Jindrich could you please rebuilt the packages at <http://jnovy.fedorapeople.org/texlive/packages.f14/>.

Thanks
Comment 159 Bug Zapper 2010-07-30 06:37:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 160 Felix Möller 2010-08-23 19:32:05 EDT
Tex Live 2010 does not work on Fedora 14 anymore.

The packages still require libpoppler.so.6 but current rawhide just has
libpoppler.so.7.

Jindrich could you please rebuilt the packages at
<http://jnovy.fedorapeople.org/texlive/packages.f14/>.

Thanks
Comment 161 Jindrich Novy 2010-08-24 07:32:15 EDT
TeX Live is now rebuilt against the new poppler and repos are updated.

Major improvements in this repo update are:
- license texts are added automatically also to binary packages
- some rpmlint warnings are fixed
- dvisvgm is built and shipped again with TeX Live in repo because of its dependency on newer kpathsea library
- improved %post scriptlet dependencies
- rebuild against libpoppler.so.7 in F14

Please note that this version seems to be final at least from the Fedora packaging. Because of that I would please you to review TeX Live spec files which can be found here:

http://jnovy.fedorapeople.org/texlive/texlive-specs.tar.xz

before I start to file new package review requests. The main spec "texlive.spec" is generated from:

http://jnovy.fedorapeople.org/texlive/_main.spec

template and all the noarch texlive packages are generated from this template:

http://jnovy.fedorapeople.org/texlive/_main_subpackage.spec

Thanks for testing and comments!
Comment 162 João Veríssimo 2010-08-24 21:40:20 EDT
Thank you very much for all the effort that went into this.

It seems to me that the hyphenation bug reported above is still present with the latest update (25 Aug.).
https://bugzilla.redhat.com/show_bug.cgi?id=488651#c137

Installing texlive-hyphen-italian produced:
Package babel Warning: No hyphenation patterns were loaded for
(babel)                the language `Italian'
(babel)                I will use the patterns loaded for \language=0 instead.

Only after fmtutil-sys --all did the hyphenation pattern load properly.

Thank you!
Comment 163 Jeff Moe (jebba) 2010-08-24 23:59:06 EDT
I am able to build my document mentioned starting in comment 9 with the latest texlive-2010.

Tremendous job packaging all this! :)
Comment 164 Tom Moertel 2010-08-25 10:19:07 EDT
Jindrich:  THANK YOU for making the monumental investment of time, talent, and persistence required to package TeX Live.  Your work will touch many and is much appreciated.

Cheers,
Tom
Comment 165 Vedran Miletić 2010-08-25 11:58:58 EDT
Second that.

Only small correction: ConTeXt doesn't need Lua and Ruby, but needs LuaTeX and Ruby.
Comment 166 Jindrich Novy 2010-08-26 03:58:37 EDT
Another quick repo update was made today because of comment 162 and comment 137. I switched to fmtutil --all call in %posttrans because fmtutil --missing will not take hyphenations into account. fmtutil is called only once so it doesn't affect installation time too much ;) Also correct obsoletion of dvisvgm is added to assure smooth update path from TL2007 on F12/F13.
Comment 167 Tobias Mueller 2010-08-27 14:12:13 EDT
Phil, your comment #157 doesn't help me on Fedora 13.
I did the following:
 1. sudo rpm -i http://jnovy.fedorapeople.org/texlive/texlive-f14-release-2009-0.4.fc13.noarch.rpm
 2. sudo mv /usr/share/texmf  /tmp/usr.share.texmf
 3. sudo yum clean all
 4. sudo yum install texlive

But the last command fails with loads of errors, i.e.:
Error: Package: texlive-collection-context-2010-10.svn18549.fc13.noarch (texlive)
           Requires: texlive-context = 2010
           Removing: texlive-context-2007-51.fc13.x86_64 (@anaconda-InstallationRepo-201005130101.x86_64)
               texlive-context = 2007-51.fc13
           Obsoleted By: texlive-scheme-context-2010-10.svn18797.fc13.noarch (texlive)
               Not found
           Available: texlive-context-2007-49.fc13.x86_64 (fedora)
               texlive-context = 2007-49.fc13
           Available: texlive-context-2010-10.svn19477.fc13.noarch (texlive)
               texlive-context = 2010-10.svn19477.fc13
Comment 168 Michael Monreal 2010-08-31 05:44:41 EDT
The next releases of Evince and Gedit (in F14) will support SyncTeX¹ but this requires at least TeXLive 2008 (pdflatex needs to support "-synctex=1").

Will TexLive 2010 make it into the F14 release? If not it would be nice if you could at least make sure the evince/gedit feature works with the 2010 addon repository.

[1] http://itexmac.sourceforge.net/SyncTeX.html
Comment 169 Phil V 2010-09-23 12:08:16 EDT
I believe Tobias found that he had accidentally used the rpm for f14.
He has since tried

rpm -i http://jnovy.fedorapeople.org/texlive/texlive-f13-release-2009-0.3.fc12.noarch.rpm

and found it working:

------------------------------------------
On 31.08.2010 02:01, Phil V wrote:
> Tobi,
> I wonder if you're using the f14 repository by accident?

Uh, I did! Thanks a million for pointing that out. Weird, because I did
install the RPM.. *thinking*...

It seems to be installing now. Thanks again!

Cheers,
 Tobi

------------------------------------------
Comment 170 Fabien Archambault 2010-09-29 09:51:15 EDT
I hope texlive 2010 will be included soon as it is very stable and useful since some months!
I am finishing writting my Ph.D. thesis and without that repo I would have never been able to use such nice features!
Comment 171 Vedran Miletić 2010-09-29 09:55:18 EDT
Jindrich, have you removed ConTeXt's dependancy on Lua? Your comment 166 doesn't suggest anything.
Comment 172 Neal Becker 2010-09-29 13:35:22 EDT
Does texlive f13 work correctly with lyx?

I installed texlive-*
Then sudo yum install lyx



Installing:
 lyx                 x86_64        1.6.7-1.fc13            updates        2.8 M
Installing for dependencies:
 aiksaurus           x86_64        1:1.2.1-21.fc12         fedora         303 k
 lyx-common          noarch        1.6.7-1.fc13            updates        6.1 M
 lyx-fonts           noarch        1.6.7-1.fc13            updates        154 k
 tex-simplecv        noarch        1.6-8.fc12              fedora         6.8 k
 wv                  x86_64        1.2.7-2.fc13            fedora         249 k

Notice it's pulling in the old tex-simplecv.  So several things get installed into /usr/share/texmf.

Is there any problem here?
Comment 173 Susi Lehtola 2010-09-29 14:11:56 EDT
I've had no problems with LyX using Jindrich's TL 2010 packages. Works great.
Comment 174 Jindrich Novy 2010-09-30 07:53:02 EDT
Maybe it's time for some news. Currently there is a legal review again in progress. Unfortunately legal guys told me that everything licensed under Public Domain without any license text is not legal in Europe so the Fedora TL will lack any public domain packages. Another problem is with packages licensed as other-free because the license needs to be analysed per-package and some of them won't be included in Fedora.

I'm currently experimenting with semi-monolithic packaging using noarch subpackages in a way that sources+ most of the noarch packages will be part of the main spec. Unfortunately fonts need to be packaged in separate srpms (because of the ill-designed %_font_pkg macro). So TL might end up like 1 huge srpm + 138 font srpms where sources for fonts will be duplicated. It is still better than including ~4000 packages separately.

I'm pretty sure TL2010 will not be in Fedora 14 yet because of the issues noted above.

Neal: /usr/share/texmf is included in TL2010 search path so there shouldn't be a problem with tex-simplecv. TL2010 has its own simplecv package so the package in /usr/share/texmf will likely just be ignored when TL2010 simplecv is installed.

Vedran: The dependency solver adds "Requires: lua" to packages that contain *.lua files. This should make sense. If not, please tell me why and I will fix it.
Comment 175 Neal Becker 2010-09-30 08:45:03 EDT
Consider rpmfusion for packages with legal issues?
Comment 176 Joel Uckelman 2010-09-30 08:56:39 EDT
For the Public Domain packages, wouldn't it be within your rights to distribute them with an acceptable license? Since they're PD, you should be able to do whatever you like with them.
Comment 177 Tom "spot" Callaway 2010-09-30 10:16:05 EDT
Joel, unfortunately it doesn't quite work that way. The problem is a bit more complicated than Jindrich explained.

In many parts of the world, a copyright holder cannot actually abandon their copyright, which is what it means to put a work into the Public Domain. 

So, we have the following problems which affect the TL2010 components that TL marks as "Public Domain":

1) The code and any included documentation doesn't indicate any license (or even say "This code is in the public domain". Given TL's track record for licensing, we have to assume these files are unlicensed, and thus, we do not have permission to distribute them.

2) The code and/or included documentation indicates that the work is in the public domain, but it is not clear that the copyright holder (as a result of the jurisdiction) is legally able to put that work into the public domain. Tracking this down will take quite some time. In the interim, we have to assume that the copyright holder still retains their copyright, but we have no license to actually use, so we cannot simply choose a different license.

*****

The ideal solution is for copyright holders to use an actual license, rather than attempting to abandon their copyright. The Creative Commons Zero license was created specifically to have the same end-result as a successful public domain declaration, but to be an actual license and avoid conflicting with the oddities of copyright laws in different jurisdictions.

When I get some time, I'm going to generate a wiki page with the breakdown of unknown or non-free code that we've identified in TL2010, and try to get help from the TL community to relicense and clarify the code components so that we can properly include them in Fedora. (Jindrich, if you want to start on this, feel free)
Comment 178 Jiri Cerny 2010-10-06 05:24:07 EDT
I do not know if this is the right place for reporting TL2010 bugs, but I did not find a better place. The package
texlive-pdfcrop-bin-2010-10.20101005.svn14387.fc14.x86_64
provides two zero-length, i.e. useless, binaries  /usr/bin/[r]pdfcrop. The actual program is a perl-script, which is hidden in /usr/share/texlive/texmf-dist/scripts/pdfcrop/pdfcrop.pl, which is part of texlive-pdfcrop-2010-10.1.23.svn18835.fc14.noarch.
Comment 179 João Veríssimo 2010-10-07 20:59:33 EDT
This last update (20101007) seems to have broken several files in /usr/bin, which are now symlinks pointing to the wrong place.

This is definitely the case for latexmk:
/usr/bin/latexmk -> ../texmf-dist/scripts/latexmk/latexmk.pl

Thank you!
Comment 180 João Veríssimo 2010-10-07 21:02:55 EDT
The previous problem is in Fedora 13.

For latexmk, it seems that what is needed is something like this:
/usr/bin/testlm -> ../share/texlive/texmf-dist/scripts/latexmk/latexmk.pl

Thank you!
Comment 181 Jindrich Novy 2010-10-09 03:38:30 EDT
Please update packages from the repository. The symlinking problem in /usr/bin is now fixed.

I created a new repository for rawhide/F15 so feel free to update to it:

rpm -i http://jnovy.fedorapeople.org/texlive/texlive-f15-release-2010-1.fc14.noarch.rpm

if you use rawhide. The F14/F15 (rawhide) branches are no more compatible because of the poppler soname bump in rawhide. Hope that helps.
Comment 182 João Veríssimo 2010-10-10 21:17:13 EDT
Working great. Thanks a lot!
Comment 183 Jindrich Novy 2010-10-14 15:37:58 EDT
(In reply to comment #177)
> When I get some time, I'm going to generate a wiki page with the breakdown of
> unknown or non-free code that we've identified in TL2010, and try to get help
> from the TL community to relicense and clarify the code components so that we
> can properly include them in Fedora. (Jindrich, if you want to start on this,
> feel free)

I've created a new wiki page dedicated to the legal audit:

http://fedoraproject.org/wiki/Talk:Features/TeXLiveLegalAudit

One can see the review progress as all the packages have to move to either Fedora approved or Fedora disapproved sections. The legal review will be finished as soon as there are no more packages in Other free and Public Domain sections.

Feel free to clarify things if you manage to find any license information I haven't been able to find in particular packages. Spot, could you 

The process of moving packages to Fedora approved or Fedora disapproved is described in the first section:

http://fedoraproject.org/wiki/Talk:Features/TeXLiveLegalAudit#Why_and_how_to_do_a_legal_audit.3F

Thanks for help!
Comment 184 Neal Becker 2010-10-18 08:38:19 EDT
Transaction Check Error:
  file /usr/bin/jadetex from install of texlive-jadetex-bin-2010-12.20101007.svn3006.fc13.x86_64 conflicts with file from package jadetex-3.13-8.fc12.noarch
  file /usr/bin/pdfjadetex from install of texlive-jadetex-bin-2010-12.20101007.svn3006.fc13.x86_64 conflicts with file from package jadetex-3.13-8.fc12.noarch

 sudo yum remove jadetex
Loaded plugins: auto-update-debuginfo, refresh-packagekit
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package jadetex.noarch 0:3.13-8.fc12 set to be erased
--> Processing Dependency: jadetex >= 2.5 for package: docbook-utils-pdf-0.6.14-23.fc13.noarch
--> Running transaction check
---> Package docbook-utils-pdf.noarch 0:0.6.14-23.fc13 set to be erased
--> Finished Dependency Resolution

Well, OK, but I just lost docbook-utils-pdf :(
Comment 185 José Matos 2010-10-18 08:57:34 EDT
(In reply to comment #184)
> Transaction Check Error:
>   file /usr/bin/jadetex from install of
> texlive-jadetex-bin-2010-12.20101007.svn3006.fc13.x86_64 conflicts with file
> from package jadetex-3.13-8.fc12.noarch
>   file /usr/bin/pdfjadetex from install of
> texlive-jadetex-bin-2010-12.20101007.svn3006.fc13.x86_64 conflicts with file
> from package jadetex-3.13-8.fc12.noarch
> 
> Well, OK, but I just lost docbook-utils-pdf :(

FWIW the same applies to F-14.
Comment 186 Jindrich Novy 2010-10-19 08:27:43 EDT
Repo is now updated again.

News in the new repo update:

* New font metrics provides. You are now allowed to do yum install 'tex(ptmr8t.tfm)' if kpathsea complains that a font is missing and you are not sure from which package it comes from. (see https://fedoraproject.org/wiki/Talk:Features/TeXLive for more info)

* jadetex package is now correctly obsoleted by texlive-jadetex.

* Package removal is now faster as fmtutil and updmap calls are moved to posttrans scriptlets.

* fmtutil.cnf updating in post/postun scriptlets is now fixed.

... and of course legal audit is in progress:
https://fedoraproject.org/wiki/Talk:Features/TeXLiveLegalAudit
Comment 187 Phil V 2010-10-28 19:06:50 EDT
Hi, evince-dvi doesn't yet install.

yum install evince-dvi
Loaded plugins: fastestmirror, keys, presto, refresh-packagekit, remove-with-leaves
Loading mirror speeds from cached hostfile
 * fedora: mirror.ipnode.info
 * livna: wftp.tu-chemnitz.de
 * rpmfusion-free: mirror.liberty.edu
 * rpmfusion-free-updates: mirror.liberty.edu
 * rpmfusion-nonfree: mirror.liberty.edu
 * rpmfusion-nonfree-updates: mirror.liberty.edu
 * updates: mirror.ipnode.info
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package evince-dvi.x86_64 0:2.30.3-1.fc13 set to be installed
--> Processing Dependency: libkpathsea.so.4()(64bit) for package: evince-dvi-2.30.3-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: evince-dvi-2.30.3-1.fc13.x86_64 (updates)
           Requires: libkpathsea.so.4()(64bit)
           Available: kpathsea-2007-49.fc13.x86_64 (fedora)
               libkpathsea.so.4()(64bit)
           Available: kpathsea-2007-51.fc13.x86_64 (updates)
               libkpathsea.so.4()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 188 Anders Nilsson 2010-11-10 08:31:52 EST
I've been trying to install TeXLive 2010 on fc13 for the last two days but always end up with the same non-functional state.

Last try was:
$ rpm -qa | grep texlive | xargs rpm -e --nodeps
$ yum clean all
$ yum -c /etc/yum.repos.d/texlive-f13.repo install texlive

Everything installs fine, but every try to compile some tex results in:

$ latex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11 (TeX Live 2011/dev)

kpathsea: Running mktexfmt latex.fmt
/usr/bin/mktexfmt: line 395: /usr/share/texmf/texconfig/tcfmgr: No such file or directory
fmtutil: config file `fmtutil.cnf' not found.
I can't find the format file `latex.fmt'!

which is obvious since tcfmgr is not located in /usr/share/texmf/texconfig/tcfmgr but in /usr/share/texlive/texmf/texconfig/tcfmgr
and /usr/share/texmf/ is completely empty except for an ls-R file.

mktexfmt seems to be of correct version:
$ rpm -qf /usr/bin/mktexfmt
texlive-kpathsea-bin-2010-12.20101102.svn18765.fc13.i686

and I have made sure to have no TEX* variables in my env, both as myself and as root when installing.

For debugging I tried to set TEXMFMAIN to a correct path (fixing the various problems as root for each step):

andersn@brown:../docs/WP1/ToolsStory$ export TEXMFMAIN=/usr/share/texlive/texmf 
andersn@brown:../docs/WP1/ToolsStory$ latex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11 (TeX Live 2011/dev)

kpathsea: Running mktexfmt latex.fmt
tcfmgr: config file `tcfmgr.map' (usually in $TEXMFMAIN/texconfig) not found (ls-R missing?).
fmtutil: config file `fmtutil.cnf' not found.
I can't find the format file `latex.fmt'!
andersn@brown:../docs/WP1/ToolsStory$ ls $TEXMFMAIN/texconfig
g  README  tcfmgr  tcfmgr.map  v  x
andersn@brown:../docs/WP1/ToolsStory$ latex test.tex This is pdfTeX, Version 3.1415926-1.40.11 (TeX Live 2011/dev)

kpathsea: Running mktexfmt latex.fmt
fmtutil: format directory `/var/lib/texmf/web2c' does not exist.
I can't find the format file `latex.fmt'!
andersn@brown:../docs/WP1/ToolsStory$ latex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11 (TeX Live 2011/dev)

kpathsea: Running mktexfmt latex.fmt
fmtutil: format directory `/var/lib/texmf/web2c' is not writable.
I can't find the format file `latex.fmt'!
andersn@brown:../docs/WP1/ToolsStory$ latex test.tex 
This is pdfTeX, Version 3.1415926-1.40.11 (TeX Live 2011/dev)

kpathsea: Running mktexfmt latex.fmt
I can't find the format file `latex.fmt'!


And there I'm stuck. I've tried to generate formats with 
root@brown:/var/log$ fmtutil-sys --all

which terminates silently after much less than a second.
Comment 189 Neal Becker 2010-11-10 08:53:19 EST
I tried lyx-2.0.0alpha5 (current f14) with xetex output and got:
! Undefined control sequence.
l.67 \ExplSyntaxOn

Maybe this warning is related:
LaTeX Warning: You have requested, on input line 27, version
               `2010/05/14 v2.0' of package fontspec,
               but only version
               `2007/06/20 v1.14 Advanced font selection for XeLaTeX'
               is available.
Comment 190 Susi Lehtola 2010-11-10 09:08:29 EST
I'm currently running F14, and my only problem has been with xdvi. Support for scandinavian characters (å ä ö) is broken: sometimes a character is displayed, but often just a big empty space is shown.
Comment 191 Stijn Hoop 2010-11-10 10:00:05 EST
Just started implementing TeX Live 2010 on our site, and ran into this issue: it appears that TEXMFSYSCONFIG has changed from TeX Live 2007 /etc/texmf to TeX Live 2010 /usr/share/texlive/texmf-config.

We used the TEXMFSYSCONFIG tree for local additions (from local RPMs). It would not be a problem to relocate our local additions except that /usr/share/texlive/texmf-config is a symbolic link pointing back to /usr/share/texlive/texmf, aka TEXMFMAIN.

I do not see a reason to include the TEXMFMAIN tree twice, and I believe a separate tree for local additions makes much more sense. Would it be possible to change the /usr/share/texlive/texmf-config symlink to point to /etc/texmf ? If /etc should not be touched, can it be made into a separate directory instead of a symlink?
Comment 192 Stijn Hoop 2010-11-10 10:29:40 EST
@Phil V, comment 187 : on my Fedora 14 system, it is possible to install evince-dvi, but it does not search in the correct paths for texmf.cnf, leading to this error:

warning: Configuration file texmf.cnf not found! Searched these directories:
/usr/bin:/usr:/:/usr/bin/share/texmf-local/web2c:/usr/share/texmf-local/web2c://share/texmf-local/web2c:/usr/bin/texmf-local/web2c:/usr/texmf-local/web2c://texmf-local/web2c:/etc/texmf/web2c:/usr/local/share/texmf/web2c:/usr/share/texmf/web2c:/usr/share/texmf/web2c
Trying to proceed...

...

and then a bunch of incorrect font caches are produced in my $HOME.

I think evince-dvi needs to be explicitly rebuilt against the new TeX Live for it to work.
Comment 193 Susi Lehtola 2010-11-10 16:15:47 EST
(In reply to comment #190)
> I'm currently running F14, and my only problem has been with xdvi. Support for
> scandinavian characters (å ä ö) is broken: sometimes a character is displayed,
> but often just a big empty space is shown.

Actually, the same kind of problem happens also with PS files.
Comment 194 Susi Lehtola 2010-11-10 19:05:05 EST
Actually, it works fine on a fresh F14 install. My two other systems, upgraded from F13, must just be borked. I just wonder why I didn't have any problems with pdflatex...
Comment 195 Jindrich Novy 2010-11-12 00:10:25 EST
Anders,

(In reply to comment #188)
> fmtutil: config file `fmtutil.cnf' not found.
> I can't find the format file `latex.fmt'!

it seems that kpathsea is broken in your installation preventing all the TeX applications from working. What you can do is to remove all texlive packages, then, to be sure, remove all the possible remaining files from previous installations:

# rm -rf /usr/share/texmf /usr/share/texlive /var/lib/texmf

and as an user running texlive:

$ rm -rf ~/.texlive2010

Then install TeX Live again and it should work as expected.
Comment 196 Jindrich Novy 2010-11-12 00:27:44 EST
Repository is updated again with the new packages.

Upstream sources for binaries are in the middle of development cycle so behaviour of TeX Live apps may be unstable now. Current source base as of 10th November doesn't compile because of failed test suite so the binaries are in the state of 2nd November.

News in this release:
* All packages are now included in the repository without any legal limits. The reason is to ease doing a legal audit at user level: https://fedoraproject.org/wiki/Talk:Features/TeXLiveLegalAudit
* %post/%postun scriptlets are fixed again to update fmtutil.cnf or updmap.sys only in case of package removal or new package installation. You shouldn't need to remove and reinstall TeX Live 2010. Just update to current package set should suffice.
Comment 197 Jindrich Novy 2010-11-12 06:48:52 EST
A minor glitch was found in the build scripts that causes you can end up having a F14 repository installed even on F12, F13 and F15. You can find that out by seeing message like this while doing update:

Error: Package: texlive-pdftex-bin-2010-13.20101102.svn19008.fc14.i686 (texlive)
           Requires: libpoppler.so.7
Error: Package: texlive-luatex-bin-2010-13.20101102.svn19405.fc14.i686 (texlive)
           Requires: libz.so.1(ZLIB_1.2.3.3)
Error: Package: texlive-pdftex-bin-2010-13.20101102.svn19008.fc14.i686 (texlive)
           Requires: libz.so.1(ZLIB_1.2.3.3)
Error: Package: texlive-luatex-bin-2010-13.20101102.svn19405.fc14.i686 (texlive)
           Requires: libpoppler.so.7

If than happens, please do the following:

# yum clean all
# rpm -qa | grep texlive-release | xargs rpm -e

and install appropriate repo package for your system:

F12:
# rpm -i http://jnovy.fedorapeople.org/texlive/packages.f12/texlive-release-2010-13.20101102.fc12.noarch.rpm

F13:
# rpm -i http://jnovy.fedorapeople.org/texlive/packages.f13/texlive-release-2010-13.20101102.fc13.noarch.rpm

F14:
# rpm -i http://jnovy.fedorapeople.org/texlive/packages.f14/texlive-release-2010-13.20101102.fc14.noarch.rpm

F15:
# rpm -i http://jnovy.fedorapeople.org/texlive/packages.fc15/texlive-release-2010-13.20101102.fc15.noarch.rpm
Comment 198 Bob Tennent 2010-11-12 08:07:39 EST
Thanks Jindrich. I'm still getting 

Error: Package: texlive-cmcyralt-2010-13.1.0.svn15878.fc14.noarch (texlive)
           Requires: tex(cmcyr.sty)
Bob T.
Comment 199 Susi Lehtola 2010-11-12 09:04:20 EST
I get

Error: Package: texlive-maple-2010-13.1.8.svn15878.fc14.noarch (texlive)
           Requires: tex(mapleenv.sty)
Error: Package: texlive-cmcyralt-2010-13.1.0.svn15878.fc14.noarch (texlive)
           Requires: tex(cmcyr.sty)

when trying to install texlive-scheme-full.
Comment 200 Jindrich Novy 2010-11-12 09:13:33 EST
This is now fixed as well.

Putting all the TL2010 packages into the repository showed some dependencies which are not present in TeX Live 2010 itself so I blacklisted them.

Thanks for noticing.
Comment 201 Anders Nilsson 2010-11-15 03:41:55 EST
(In reply to comment #195)
> it seems that kpathsea is broken in your installation preventing all the TeX
> applications from working. What you can do is to remove all texlive packages,
> then, to be sure, remove all the possible remaining files from previous
> installations:
> 
> # rm -rf /usr/share/texmf /usr/share/texlive /var/lib/texmf
> 
> and as an user running texlive:
> 
> $ rm -rf ~/.texlive2010
> 
> Then install TeX Live again and it should work as expected.

Worked, thanks!

I thought I had deleted all these directories during the earlier test, but I'd obviously missed one (or two).

/Anders
Comment 202 Jindrich Novy 2010-11-16 09:07:07 EST
*** Bug 652283 has been marked as a duplicate of this bug. ***
Comment 203 Robin Green 2010-11-17 11:12:37 EST
I just installed http://jnovy.fedorapeople.org/texlive/packages.f13/texlive-release-2010-13.20101102.fc13.noarch.rpm but yum is picking up packages labelled "f14". Should I be worried?
Comment 204 Jindrich Novy 2010-11-17 13:42:26 EST
Nope, in case they are noarch.rpm-s. Binary packages and arch independent ones are built separately. noarchs are built on f14 and symlinked into all repositories to save bandwidth. So it is not a bug but a feature :)
Comment 205 ajs 2010-11-17 15:08:58 EST
Is there any chance of adding an EPEL 6 testing repo?
Comment 206 Neal Becker 2010-11-17 15:27:05 EST
Does this look normal?  I'm on f14:

Nov 12 13:42:29 Installed: texlive-release.noarch 2010-13.20101102.fc14
Nov 12 13:42:30 Installed: texlive-f15-release.noarch 2010-2.fc14
Nov 12 14:25:46 Erased: texlive-f14-release

Now I have:
  -rw-r--r--    1 root root   124 Nov  5 07:48 texlive-f15.repo
  -rw-r--r--    1 root root   125 Nov 11 07:04 texlive-release.repo

which both are enabled=1
Comment 207 Bob Tennent 2010-11-18 08:25:49 EST
The texlive font packages put type1 fonts into sub-directories of /usr/share/fonts with symbolic links to these from the texmf/fonts places.  Because /usr/share/fonts is compiled into the search path of ghostscript, calls of ps2pdf etc. are taking forever
while all those texlive-* directories are being searched.  The Fedora font policy is taking away my ability to *choose* whether to have TeX fonts under /usr/share/fonts or not.
Comment 208 Phil V 2010-12-09 04:56:47 EST
Jindrich, for F13 should we still be using:

# rpm -i
http://jnovy.fedorapeople.org/texlive/packages.f13/texlive-release-2010-13.20101102.fc13.noarch.rpm

or should we use texlive-release noarch 2010-13.20101102.fc14 
or something else?

with the texlive-release-2010-13.20101102.fc13.noarch.rpm installed I receive errors:
 yum update


0 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package texlive-dvisvgm-bin.x86_64 0:2010-13.20101102.svn19405.fc14 set to be updated
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.14)(64bit) for package: texlive-dvisvgm-bin-2010-13.20101102.svn19405.fc14.x86_64
---> Package texlive-luatex-bin.x86_64 0:2010-13.20101102.svn19405.fc14 set to be updated
--> Processing Dependency: libpoppler.so.7()(64bit) for package: texlive-luatex-bin-2010-13.20101102.svn19405.fc14.x86_64
---> Package texlive-pdftex-bin.x86_64 0:2010-13.20101102.svn19008.fc14 set to be updated
--> Processing Dependency: libpoppler.so.7()(64bit) for package: texlive-pdftex-bin-2010-13.20101102.svn19008.fc14.x86_64
---> Package texlive-pdftools-bin.x86_64 0:2010-13.20101102.svn18336.fc14 set to be updated
--> Processing Dependency: libpoppler.so.7()(64bit) for package: texlive-pdftools-bin-2010-13.20101102.svn18336.fc14.x86_64
---> Package texlive-release.noarch 0:2010-13.20101102.fc14 set to be updated
---> Package texlive-xetex-bin.x86_64 0:2010-13.20101102.svn19405.fc14 set to be updated
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.14)(64bit) for package: texlive-xetex-bin-2010-13.20101102.svn19405.fc14.x86_64
--> Processing Dependency: libpoppler.so.7()(64bit) for package: texlive-xetex-bin-2010-13.20101102.svn19405.fc14.x86_64
--> Finished Dependency Resolution
Error: Package: texlive-dvisvgm-bin-2010-13.20101102.svn19405.fc14.x86_64 (texlive)
           Requires: libstdc++.so.6(GLIBCXX_3.4.14)(64bit)
Error: Package: texlive-pdftools-bin-2010-13.20101102.svn18336.fc14.x86_64 (texlive)
           Requires: libpoppler.so.7()(64bit)
Error: Package: texlive-pdftex-bin-2010-13.20101102.svn19008.fc14.x86_64 (texlive)
           Requires: libpoppler.so.7()(64bit)
Error: Package: texlive-xetex-bin-2010-13.20101102.svn19405.fc14.x86_64 (texlive)
           Requires: libstdc++.so.6(GLIBCXX_3.4.14)(64bit)
Error: Package: texlive-luatex-bin-2010-13.20101102.svn19405.fc14.x86_64 (texlive)
           Requires: libpoppler.so.7()(64bit)
Error: Package: texlive-xetex-bin-2010-13.20101102.svn19405.fc14.x86_64 (texlive)
           Requires: libpoppler.so.7()(64bit)
 You could try using --skip-broken to work around the problem
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
realplay-11.0.2.1744-1.i386 has missing requires of libXv.so.1
Comment 209 Phil V 2010-12-10 07:53:54 EST
(1) 'yum clean all' seems to have resolved problem in Comment #208.

(2) Jindrich, please feel free to correct my advice below:

Neal: On one of my machines, I too ended up with two repositories, just by a less frequent yum update. I think that texlive-release is the one to keep. Try

yum provides /etc/yum.repos.d/texlive-f15.repo

and remove just that 'texlive-release' package. This will quiet yum complaints about redundant repositories.
Comment 210 Jindrich Novy 2010-12-10 08:23:02 EST
ajs,
(In reply to comment #205)
> Is there any chance of adding an EPEL 6 testing repo?

I'm currently not planning to set up any EPEL6 repo. Fell free to set up one thought. All you need for it (build scripts, dependency generators, downloaders...) is present here:

http://jnovy.fedorapeople.org/texlive/

Please mail me directly if you need further assistance.

-------------------------------
Neal,

(In reply to comment #206)
> Does this look normal?  I'm on f14:
> Nov 12 13:42:29 Installed: texlive-release.noarch 2010-13.20101102.fc14
> Nov 12 13:42:30 Installed: texlive-f15-release.noarch 2010-2.fc14

Nope, it doesn't look normal. You have accidentally installed texlive-f15-release which is used for rawhide packages. Please remove it.

-------------------------------
Phil,

(In reply to comment #208)
> Jindrich, for F13 should we still be using:
> 
> # rpm -i
> http://jnovy.fedorapeople.org/texlive/packages.f13/texlive-release-2010-13.20101102.fc13.noarch.rpm
> 
> or should we use texlive-release noarch 2010-13.20101102.fc14 
> or something else?
> 
> with the texlive-release-2010-13.20101102.fc13.noarch.rpm installed I receive
> errors:
>  yum update
> 
> 
> 0 packages excluded due to repository protections
> Setting up Update Process
> Resolving Dependencies
> --> Running transaction check
> ---> Package texlive-dvisvgm-bin.x86_64 0:2010-13.20101102.svn19405.fc14 set to
> be updated

The situation is similar to the Neal's case.
Comment 211 Jindrich Novy 2010-12-10 08:33:22 EST
Let me elaborate a bit on the repo package situation. The repo packages were built independently on texlive build up to the beginning of November and for each fedora release they were put into the http://jnovy.fedorapeople.org/texlive/ directory.

Now, the repo packages are part of the binary packages build so that proper repo paths in the /etc/texlive-release.repo are generated from %_dist tag at build time. These repo packages now obsolete older repos, so e.g. F14 repo package wipes out F13 repo package automatically. So you shouldn't end up with two, or more repos installed on your system from now on.
Comment 212 Neal Becker 2010-12-10 08:46:03 EST
OK, I now have only /etc/yum.repos.d/texlive-f14.repo and I've got conflicts.


--> Processing Dependency: libpoppler.so.9()(64bit) for package: texlive-xetex-bin\
-2010-13.20101102.svn19405.fc15.x86_64
---> Package texlive-xmltex-bin.x86_64 0:2010-13.20101102.svn3006.fc15 set to be u\
pdated
--> Finished Dependency Resolution
Error: Package: texlive-xetex-bin-2010-13.20101102.svn19405.fc15.x86_64 (texlive)
           Requires: libpoppler.so.9()(64bit)
Error: Package: texlive-pdftools-bin-2010-13.20101102.svn18336.fc15.x86_64 (texliv\
e)
           Requires: libpoppler.so.9()(64bit)
Error: Package: texlive-luatex-bin-2010-13.20101102.svn19405.fc15.x86_64 (texlive)
           Requires: libpoppler.so.9()(64bit)
Error: Package: texlive-pdftex-bin-2010-13.20101102.svn19008.fc15.x86_64 (texlive)
           Requires: libpoppler.so.9()(64bit)

yum downgrade texlive-xetex-bin
Loaded plugins: auto-update-debuginfo, refresh-packagekit
Setting up Downgrade Process
Found 15 installed debuginfo package(s)
Enabling fedora-debuginfo: Fedora 14 - x86_64 - Debug
Enabling updates-debuginfo: Fedora 14 - x86_64 - Updates - Debug
Enabling rpmfusion-nonfree-debuginfo: RPM Fusion for Fedora 14 - Nonfree - Debug
Enabling rpmfusion-free-updates-debuginfo: RPM Fusion for Fedora 14 - Free - Updat\
es Debug
Enabling rpmfusion-free-debuginfo: RPM Fusion for Fedora 14 - Free - Debug
Enabling rpmfusion-nonfree-updates-debuginfo: RPM Fusion for Fedora 14 - Nonfree -\
 Updates Debug
Only Upgrade available on package: texlive-xetex-bin-2010-13.20101102.svn19405.fc1\
5.x86_64
Nothing to do
Comment 213 Jindrich Novy 2010-12-10 08:55:54 EST
yum clean all
yum update

yum is too dumb sometimes to figure out something have changed. If it doesn't help, check manually if someone hasn't edited /etc/yum.repos.d/texlive-f14.repo and be sure it contains either:

baseurl=http://jnovy.fedorapeople.org/texlive/packages.f14/

or

baseurl=http://jnovy.fedorapeople.org/texlive/packages.fc14/
Comment 214 Neal Becker 2010-12-10 09:11:16 EST
yum clean all
yum update

Installing:
 texlive-release      noarch      2010-13.20101102.fc14         texlive      7.4 k
     replacing  texlive-f14-release.noarch 2010-1.fc14
     replacing  texlive-f15-release.noarch 2010-2.fc14

Seems OK now.
Comment 215 Alexei Podtelezhnikov 2010-12-12 20:05:57 EST
You hijacked my bug report!!!
I will start spamming you now.
I am tired of Cc to my address.

Would you like me to start spamming you?

Get a room! 
Get a proper mailing list!
Comment 216 Jan "Yenya" Kasprzak 2010-12-13 02:54:43 EST
Jindrich, I think we should either

- create a mailing list (I hereby offer maintaining the list @linux.cz, for example)
or
- create a new bug, mark this one as a duplicate (thus moving Alexei to the Cc list and allowing him to remove his address from the Cc list)

What do you prefer?
Comment 217 Matthew Saltzman 2010-12-13 12:04:24 EST
I'd vote for fedora-texlive@lists.fedoraproject.org.  This seems like a big enough and long-enough lived project to deserve a real Fedora list.
Comment 218 Jindrich Novy 2010-12-14 04:36:54 EST
Thanks to Jan Kasprzak, a new mailing list (texlive@linux.cz) has been set up and running. We can move all of the Fedora related TeX Live questions there.

I invited everybody listed in Cc to this bug to this mailing list. So feel free to accept the invitation if you wish to stay tuned.

In case you haven't been invited but want to join please subscribe here:

http://www.linux.cz/mailman/listinfo/texlive

Please don't post to this bug any more but mail to the list.

Thanks!
Comment 219 Jason Tibbitts 2012-02-16 15:32:10 EST
*** Bug 746626 has been marked as a duplicate of this bug. ***
Comment 220 Jason Tibbitts 2012-02-16 15:32:28 EST
*** Bug 739537 has been marked as a duplicate of this bug. ***
Comment 221 Gökçen Eraslan 2012-06-25 04:10:29 EDT
Texlive 2012 is targeted for Fedora 18: http://fedoraproject.org/wiki/Features/TeXLive
Comment 222 Vedran Miletić 2012-06-25 04:43:07 EDT
(In reply to comment #221)
> Texlive 2012 is targeted for Fedora 18:
> http://fedoraproject.org/wiki/Features/TeXLive

I'm not so sure, as it's not listed here:
http://fedoraproject.org/wiki/FeatureList
Comment 223 melanphos 2012-07-23 21:26:55 EDT
I dont know where to report it, but I just meet a tiny bug with texlive from this repo : http://jnovy.fedorapeople.org/texlive/2012/packages.fc17/texlive-release.noarch.rpm

the command

$ latexmk -pvc -pdf 

tried to open the pdf file with acroread, I dont have acroread. (I made a symbolic link to evince named acroread)
Comment 224 Fedora End Of Life 2012-08-16 17:57:34 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 225 Jindrich Novy 2012-10-07 04:15:15 EDT
FYI: TeX Live 2012 is now included in rawhide. I will try to stabilize it there, rebuild dependent applications against it to figure out how hard it would be to upgrade to newer TeX Live also in F18.
Comment 226 Hans Ecke 2012-10-07 11:21:26 EDT
Thank you for your continued work on this! We are in a university, and many journal templates do not work with the TexLive as it is included with Fedora.
Comment 227 Fedora Update System 2012-10-20 01:25:38 EDT
texlive-2012-3.20121019_r28030.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2012-3.20121019_r28030.fc18
Comment 228 Fedora Update System 2012-10-21 02:00:34 EDT
Package texlive-2012-3.20121019_r28030.fc18, PyX-0.11.1-4.fc18, evince-3.6.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2012-3.20121019_r28030.fc18 PyX-0.11.1-4.fc18 evince-3.6.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16563/PyX-0.11.1-4.fc18,evince-3.6.1-2.fc18,texlive-2012-3.20121019_r28030.fc18
then log in and leave karma (feedback).
Comment 229 Fedora Update System 2012-12-20 11:00:31 EST
texlive-2012-3.20121019_r28030.fc18, PyX-0.11.1-4.fc18, evince-3.6.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.